============================

Changes in the Double-Cross Update (5.4.0)
Released June 20, 2024

Lines that begin with * are features unique to Java Aspects (not in Console Aspects).

==Universal==

Textures:
-Many one-block cross models are now double-sided like Java Edition (Thanks, lionhead07 on Discord!)
  -All one-block flowers
  -All saplings
  -Red and brown mushrooms
  -Short grass and fern
-Sugar cane is now the same width as Java Edition (Thanks, lionhead07 on Discord!)
-*Grass and foliage colors now match Java Edition in lush and dripstone caves (Thanks, lionhead07 on Discord!)
-*Flow and guster banner patterns are now mirrored on the back like Java Edition
-Quartz slabs once again use the correct bottom texture after 1.21
-Removed old quartz texture changes as Bedrock Edition changed to match Java Edition

Entities:
-Ender Dragon perch idle animation is now smooth like Java Edition (Thanks, lionhead07 on Discord!)
-Elytra gliding and sneaking transitions are now smoother like Java Edition (Thanks, kryzorrr on Discord!)
-3D head geometry now disappears when a helmet is equipped to avoid clipping
-The player hand no longer changes color when hurt in first-person mode (Thanks, lionhead07 on Discord!)
-Fireball, small fireball, dragon fireball, and eye of ender now glow in the dark (Thanks, lionhead07 on Discord!)

Interface:
-Chat messages now return to their default Bedrock position when using touch controls
-Removed empty air bubble texture
-Controller tooltip names no longer have black backgrounds for parity with Console Aspects

Sounds:
-Updated music playlists to match 1.21
-Music discs now play at full volume like Java Edition
-All music discs are now controlled by the Jukebox/Note Blocks volume slider
-*Piston sounds now match Java Edition
-Muted the HUD bubble popping sound
-Nether brick slab sounds now match other nether bricks
-Added more 1.21 sound events for commands
  -Vault rejects player (block.vault.reject_rewarded_player)
  -Ominous Trial Spawner (block.trial_spawner.[ambient_ominous/about_to_spawn_item/ominous_activate/spawn_item/spawn_item_begin])
  -Omen effects (event.mob_effect.[bad_omen/raid_omen/trial_omen])
-Removed some biome-specific music sound events as Bedrock Edition changed to match Java Edition

Particles:
-*Ominous item spawning particles now match Java Edition (Thanks, @ZouChenyunfei!)
-Infested, oozing, weaving, wind charging, trial omen, raid omen, vault, and trial spawner particles are now billboarded
-Mace particles are now darker and billboarded
-Nether portal particles now respect world lighting conditions (Thanks, lionhead07 on Discord!)
-Eye of ender death particles are now purple and move like Java Edition (Thanks, lionhead07 on Discord!)

Language:
-*Updated Italian translations for 1.21 (Thanks, @EmptyCoso!)
-The HUD display "Days Played: #" now says "Day #" and matches the coordinate display
-*Show Days Played is now downstyled in JSON UI like other game rules
-*The "Now Playing: [Song]" message is now capitalized like Java Edition
-1.21 banner pattern and potion effect colors now match Java Edition in all languages
-Infested, oozing, weaving, wind charged, trial omen, and raid omen effect name colors now match Java Edition in all languages
-Flow and guster banner pattern descriptions are now colored like Java Edition in all languages
-*Updated item rarities to match 1.21:
  -Uncommon (Yellow): Snout Banner Pattern
  -Rare (Aqua): Flow Banner Pattern, Guster Banner Pattern
  -Epic (Purple): Trident, Mace, and Heavy Core

Technical:
-Flattened nether brick and red nether brick slab, double slab, and wall entries in "blocks.json"
-Flattened infested blocks in "blocks.json"
-*Removed duplicate files in the flattened items folder

==Programmer Art==

Textures:
-Fern now matches Java Edition
-Distant tall grass, double tall grass, and large fern now match Java Edition

==Fixes==

Textures:
-Updated trial spawner shading textures to match 1.21

Entities:
-Bogged are no longer invisible
-Vertical split-screen is now supported for an empty hand, holding a shield, drawing a bow, holding a trident, using a riptide trident, holding a loaded crossbow, drawing a crossbow, and holding a map with one hand
-One-handed map holding animations are now closer to Java Edition (Thanks, lionhead07 on Discord!)
-Bogged now draw their bows like skeletons and strays
-Breeze and bogged no longer require a minimum game version
-Dyed leather horse armor now shows the correct color on 1.21.10

Interface:
-Heavy Core no longer displays a double icon on 1.21.10
-Chat line spacing now scales consistently
-*Highlighted slot layer once again covers the item stack count
-Crafter output stack count is now aligned like other item stack counts
-In cases when the HUD screen breaks due to an update, the item text background is now visible to make text more readable

Sounds:
-Warden sounds are no longer ear-shatteringly loud
-Wardens now have audible walking sounds
-Warden agitated, angry, attack, death, hurt, sonic boom, sonic charge, and step sounds now have the correct attentuation distances
-*Goat ramming sounds are now in the Friendly Creatures category
-Sculk, sculk shrieker, and sculk sensor no longer have duplicate placing sounds
-Sculk charge, spread, and shriek sounds are now in the Blocks category
-Sculk shrieker and sensor sounds are now the correct pitch and volume
-Eye of ender death sounds are now the correct pitch

Particles:
-Block breaking particles are now slightly lighter (Thanks, @ZouChenyunfei!)
-Critical hit particles are now closer to Java Edition (Thanks, kryzorrr on Discord!)
-Breeze ground particles now respect block tint for colored blocks like leaves
-Warden digging particles are now billboarded

Language:
-Removed golden apple name coloring as Bedrock Edition changed to match Java Edition
-*The "too far" bed message is now translated and white instead of gray
-Globe banner pattern item description now matches banner description in all languages

Technical:
-Refactored HUD and chat screen UI changes to be more future-proof
-Experience level border color now uses vanilla global variable $0_color_format
-Removed various sound, entity, and UI workarounds which were used because 1.21 features were experimental

==Pack==

Technical:
-Updated the minimum game version required to use the pack to 1.21.0, which means this pack is no longer compatible with earlier versions
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 5.4.0

Pack Documents:
-Updated pack icon with a new title font
-Added a section to the end of the Credits document to prohibit using Aspects to train generative AI
  -Generative AI will never be used by AgentMindStorm to develop any resource pack, including Aspects.
-Updated the custom tab with the latest Changelog and Credits
-Updated the Credits, Command List, Feature List, and Full List of Performance & Compatibility Changes to be correct with this version

==Notes==

-Vertical split-screen support in this update is not based on Java or Console Edition; this update just changes the previous, blatantly broken first-person animations in vertical split-screen to not look broken.
-Meadow grass and foliage cannot be changed to match Java Edition because it uses the same pixel on the colormap as the old growth pine taiga. Lush and dripstone caves use unique pixels, so they could be changed without affecting other biomes.
-As many cross-texture models as possible were fixed in this update. The others have a variety of issues when trying to use the "blockshape" property to fix texture mirroring:
  -No Effect: Two-Block Flowers, Tall Grass, Large Fern, Kelp, Bamboo Sapling, Cobweb
  -Z-Fighting: Corals, Sweet Berry Bush, Dead Bush, Nether Fungi, Nether Roots, Nether Sprouts, Hanging Roots, Amethyst Cluster, Amethyst Buds, Torchflower Crop
  -No Viable Model: Campfires, Nether Vines, Calibrated Sculk Sensor, Sunflower
-The following cross-texture models are correct without any changes:
  -Completely Correct: Melon Stem, Pumpkin Stem, Pointed Dripstone, Cave Vines, Pitcher Plant, Pitcher Crop
  -Stretched, Not Mirrored: Campfires, Mangrove Propagule
-Eye of ender launch sounds from Java Edition are intentionally not replicated in Java Aspects because the Eye launch sound plays at the same time as the throwing sound, so the timing must align to avoid duplicate throwing sounds.
-All colors of leather horse armor will appear white when equipped on a horse in 1.21.0. This issue will be automatically resolved when 1.21.10 releases; I cannot fix it myself.

============================

Changes in the Wolf Update (5.3.2)
Released April 23, 2024

Lines that begin with * are features unique to Java Aspects (not in Console Aspects).

==Universal==

Textures:
-*Steve and Alex textures (including Player Heads) now match Java Edition
-Vaults are now shaded more like Java Edition
-Ominous trial spawners are now shaded like Java Edition
-*Added trial chambers explorer map textures from Java Edition

Entities:
-First-person offhand map animations are now closer to Java Edition (Thanks, kryzorrr on Discord!)
-Sheep grazing and wolf begging animations now transition smoothly (Thanks in part to kryzorrr on Discord!)
-Wolves now darken after swimming, and lighten to normal after shaking off their wetness (Thanks, @ZouChenyunfei!)
-*Wolf hind legs are now the correct height while sitting
-Husks are now taller than zombies like Java Edition (Thanks, kryzorrr on Discord!)
-Mace held item position now matches Java Edition
-Bogged holding animations and item poses now match Java Edition
-Armadillo, breeze, bogged, and wind charge hurt and fire overlays now match Java Edition

Interface:
-Heavy core icon now matches Java Edition
-Durability bars are now identical in Performance and Fidelity, with accurate colors and smoother menus (see Notes for details)

Sounds:
-Critical hit sounds from Java Edition now play in-game (Thanks, kryzorrr on Discord!)
-Added eye of ender sounds from Java Edition
-All camel, sniffer, and breeze sounds can now play when the entity is off-screen
-Baby camel sit and stand sounds are now higher-pitched
-Baby sniffer scenting sounds are now higher-pitched
-Baby armadillo rolling and unrolling sounds are now higher-pitched
-Breeze idle air, idle ground, and whirl sounds are now randomized and play in the correct situations
-Wind charge sounds now vary in pitch like Java Edition
-Vault, heavy core, and cobweb sounds now have volumes and pitches consistent with Java Edition
-Fire and soul fire now use wool sounds when broken instead of wood and stone sounds, respectively
-Added 1.20.5 and 1.21 sound events for commands
  -Armadillo (entity.armadillo.[ambient/brush/death/eat/hurt/hurt_reduced/land/peek/roll/scute_drop/step/unroll_finish/unroll_start])
  -Wolf Armor (item.armor.[equip_wolf/unequip_wolf],item.wolf_armor.[break/crack/damage/repair])
  -Breeze (entity.breeze.[charge/death/deflect/hurt/idle_air/idle_ground/inhale/jump/land/shoot/slide/whirl/wind_burst])
  -Bogged (entity.bogged.[ambient/death/hurt/step/shear])
  -Wind Charge (entity.wind_charge.[throw/wind_burst])
  -Mace (item.mace.[smash_air/smash_ground/smash_ground_heavy])
  -Ominous Bottle (item.ominous_bottle.dispose)
  -Parrot (entity.parrot.imitate.[bogged/breeze])

Particles:
-*Wind burst particles are now closer to Java Edition

Language:
-*Height limit messages now match Java Edition
-*Cheats is now "Allow Commands"
-tile.daylight_detector_inverted.name is now "Inverted Daylight Detector"
-Infested, oozing, weaving, wind charged, trial omen, and raid omen effect name colors now match Java Edition in English, Mexican Spanish, and Italian
-Bad Omen and Levitation are no longer considered negative effects in potion descriptions
-Flow and guster banner pattern descriptions are now colored like Java Edition in English, Mexican Spanish, and Italian
-*Buried Treasure Map and Ominous Banner names are no longer italicized as Java Edition changed to match Bedrock Edition
-The splash "Now Java 16 + 1 = 17!" is now "Java 16 + 1 + 4 = 21!"

==Default Textures==

Textures:
-*Wind charged potions now match Java Edition
-*Infested tipped arrow now matches Java Edition

==Programmer Art==

Textures:
-Infested, oozing, weaving, and wind charged potion bottles and tipped arrows now use classic textures

==Fixes==

Textures:
-*Stone and bedrock side variations now match Java Edition
-*Stone slab, button, pressure plate, and bell posts no longer have varied textures
-*Programmer Art: Seagrass and kelp animations are now the correct speed
-*Programmer Art: Globe and Snout banner shield textures now match Default Textures
-*Removed double chest textures as Bedrock Edition changed to match Java Edition
-Removed old stonecutter texture changes

Entities:
-Wolf variants from 1.20.80 are now visible
-Splash and lingering potions from 1.21 now use the correct texture when thrown
-First-person punching animations are now smooth (Thanks, kryzorrr on Discord!)
-First-person trident, bow, crossbow, spyglass, and shield attack animations now match Java Edition (Thanks, kryzorrr on Discord!)
-While swimming, crawling, or gliding, the third-person attack animation no longer changes depending on vertical orientation (Thanks, kryzorrr on Discord!)
-Tooting a goat horn no longer uses the eating animation
-*Villager item poses are once again correct with saplings and ferns
-Updated all villager item poses with flattened IDs for future compatibility

Interface:
-Durability bars in Performance now match the position and size of the durability bars in Fidelity
-Running "/hud @s hide progress_bar" no longer hides the hotbar
-Removed unused shield icon textures

Sounds:
-Dead coral blocks no longer make squelchy sounds (1.21+)
-Decorated pots now play only one break sound instead of two
-*Candle ambient and extinguish sounds now have the correct attentuation distances
-*Removed decorated pot shatter sounds as Java Edition changed to match Bedrock Edition
-*Removed redundant goat jump sounds

Language:
-Updated how to play changes to match 1.20.50
-Removed blue music disc names as Bedrock Edition changed to match Java Edition
-*Removed Turtle Scute name change as Bedrock Edition changed to match Java Edition
-*Removed spawn egg name changes as Bedrock Edition changed to match Java Edition

Compatibility:
-*Using Java Aspects above Console Aspects and VDX: Legacy Desktop UI no longer causes item.dyed to appear on dyed leather armor hover text
-Rewrote all VDX: Legacy Desktop UI compatibility to match VDX 3.0
-The controller cursor now wraps around in containers when using VDX: Legacy Console UI

Technical:
-Rewrote the variations system to keep all texture variants in a single folder
-Flattened leaves and coral entries in "blocks.json"

==Pack==

Technical:
-Added a unicode font replacement ZIP file to force the Mojangles font when certain characters are used (Thanks, @coztellation@moth.zone!)
  -This is optional because many obscure characters are not supported and will not render with this replacement font
-Updated the Aspects Missing Texture Patch with the following changes:
  -Added trial spawner and vault support
  -Updated "blocks.json" to match the new variation format
  -Removed "terrain_texture.json" as the new variation system makes it unnecessary
-Updated "java_enchantment_glint.zip" to include the mace
-*Updated "java_no_vignette.zip" to reflect the latest changes
-Updated the minimum game version required to use the pack to 1.20.80, which means this pack is no longer compatible with earlier versions
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 5.3.2

Pack Documents:
-Updated Credits Policy to be clear about the rights contributors have once they have contributed a feature
  -In summary, AgentMindStorm receives full modification and distribution rights of all contributed features, including right to monetize, and contributors may not request to have their features removed after contributing. In return, AgentMindStorm agrees to list all contributors and their list of contributions which are still in the pack in the Credits document in Java/Console Aspects.
  -This may sound aggressive, but it is the way contributions have worked since July 17, 2023. The specifics about distribution rights were not in writing until now, but they've been treated that way for years. I do not want to deal with removing features that have been heavily integrated into Aspects if a contributor decides they do not want me to use their features anymore, which has happened in the past. It is a little disappointing to have to write comprehensive terms like this because Aspects has operated on the honor system for over six years, but this guarantees the pack will not lose features without warning in the future.
-Renamed the Default subpack to Default Textures for clarity
-Updated pack and subpack descriptions
-Updated the custom tab with the latest Changelog and Credits
-Updated the Credits, Command List, Feature List, and Full List of Performance & Compatibility Changes to be correct with this version

==Notes==

-This update has three minor issues on 1.20.80 due to upcoming changes in 1.21. Plain splash and lingering potions (such as the splash water bottle) show the Wind Charged texture when thrown, cobwebs use wet grass sounds, and the breeze rod is posed incorrectly in the hand. These changes have been implemented now to make the transition into 1.21 smoother; if they were the other way around, the 1.21 update would break these features instead of fixing them.
-In 1.20.80, Bedrock Edition's built-in durability bar colors were changed to match Java Edition. As a result, it was possible to merge the Fidelity and Performance versions of this feature into one. Inventory screens will lag less when opened for Fidelity players as well. Unfortunately, the built-in durability bars might be hard-coded to disappear in the hotbar when the player is in Creative Mode. If you can find a solution for this, please send it to me! The performance improvements outweigh this minor downside.
-The cape geometry included in Aspects to fix MCPE-126660 causes short arms to be disconnected from maps first-person animations. This is not a new issue in this update. Vote to fix the bug here: https://bugs.mojang.com/browse/MCPE-126660
-One cause of the missing texture bug is the presence of a folder and an image with the same name in the same directory. This is why iron golems, dirt, and sculk - features which have little to do with each other - all experience the same bug. The change to the variations system in this update removes duplicate folder and image names in the pack. The Missing Texture Patch will still be required for devices which fail to load terrain_texture.json, which is the other major cause of missing textures.
-Flow and guster banner pattern description colors, along with the 1.21 effect colors, have not been implemented for all languages yet because Java Edition is missing the translation strings. Support for all languages will come once 1.21 is released.
-The bedrock texture on locked repeaters is hard-coded to match the texture used on the bedrock block, so its texture varies as well. The Java Edition locked repeater bedrock texture does not vary.
-Sounds which are played through animations have an incorrect attentuation distance, cull when off-screen, don't respect baby high pitching, and don't randomly vary in pitch like other mob sounds. Only the phantom, warden, camel, sniffer, breeze, and armadillo use them. All these issues have been fixed in this update.
-The heavy core item icon works without hiding the original item display as the Java Edition icon covers the original render completely.
-The Flow and Guster banner shield textures match by default on Java and Bedrock Edition.

============================

Changes in the Chat Update (5.3.1)
Released January 3, 2024

Lines that begin with * are features unique to Java Aspects (not in Console Aspects).

==Universal==

Textures:
-Tweaked more block shading to match Java Edition
  -Sand
  -Suspicious Sand
  -Red Sand
  -Sandstone (all full-block variants)
  -Red Sandstone (all full-block variants)
  -Obsidian
-Added bubble coral block and fire coral block textures from Java Edition
-Added village map textures for the Villager Trade Rebalancing experiment that match Java Edition

Entities:
-Decorated pot held item position now matches Java Edition
-*Drowned armor now matches Java Edition

Interface:
-*Chat messages now appear above the hotbar and match Java Edition
-*Bed messages now appear in the action bar instead of chat (Thanks, @ZouChenyunfei!)
-Hotbar start and end caps are now the correct opacity
-The resource pack subpack gear hover texture is now sized correctly
-Removed a hotbar slot opacity change as Bedrock Edition changed to match Java Edition

Sounds:
-Turtle and turtle egg sounds now match Java Edition
-All trident sounds now match Java Edition
-*Added bundle sounds for commands
  -Play them using "/playsound item.bundle.[drop_contents/insert/remove_one] @s"
-Added all remaining item sound events from Java Edition
-*Added missing strider sounds for commands
  -Play them using "/playsound entity.strider.[ambient/death/eat/happy/hurt/retreat/saddle/step/step_lava] @s"

Particles:
-Added note block, water and rain splashing, eating, and breeze ground particles from Java Edition (Thanks, @ZouChenyunfei!)

Language:
-*Grass is now "Short Grass"
-*Scute is now "Turtle Scute"
-*Infested stone brick names are now plural
-*Bed messages now match Java Edition in all languages
-*Dyed leather armor descriptions are now light gray and italicized like Java Edition

==Programmer Art==

Textures:
-Added stained glass textures from Java Edition
-*Added large fern, peony, and rose bush textures from Java Edition
-*Buried treasure map colors are now black instead of purple
-Empty map texture is now aligned properly

==Compatibility Mode==

Textures:
-*Water now uses the Bedrock transparency format instead of the Java format to preserve transparency from other texture packs

==Fixes==

Textures:
-Default spruce planks texture no longer applies when using Programmer Art

Entities:
-*The Wither shield is now the correct transparency
-Bow depth (distance from screen) is now accurate in first person (Thanks, @ErodedPotato!)

Interface:
-Reactivated and updated category text removal to work on the latest versions
-Decorated pot shading is no longer too dark
-*Hotbar spacing with hearts and experience bar is now accurate to Java Edition
-Highlighted loom and stonecutter slots now match other slots
-Selected item durability bars now render above the item in Performance

Sounds:
-Step sounds are now audible for all entities
-Item pickup sounds are now the correct pitch
-Crop and nether wart planting sounds are now the correct pitch
-*Corrected sound pitches and volumes for all 1.16+ mobs

Language:
-*Buried treasure map is once again named like Java Edition
-*"This message will never appear on the splash screen, isn't that weird?" no longer appears on the splash screen

Technical:
-*Updated "java_no_vignette.zip" to reflect the latest changes

==Pack==

Technical:
-Updated the Aspects Missing Texture Patch with the following changes:
  -Sand, sandstone, and obsidian support
  -Added "terrain_texture.json" to remove variation filepaths
-Updated the minimum game version required to use the pack to 1.20.50, which means this pack is no longer compatible with earlier versions
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 5.3.1

Pack Documents:
-Updated the custom tab with the latest Changelog and Credits
-Updated the Credits, Command List, Feature List, and Full List of Performance & Compatibility Changes to be correct with this version

==Notes==

-The chat and bed message changes in this update are fully compatible with the VDX: Legacy Desktop UI and Legacy Console UI packs.
-Due to bed message changes in this update, the chat narrator will always read the English version of bed messages, regardless of language setting. This should not be an issue because the narrator is only trained for English pronunciation.
-Step sounds are broken on Bedrock by default. Most (but not all) mobs have a hard-coded 0.15x multiplier on their step sound. However, this multiplier does NOT affect the baby mob, which uses a separate step.baby sound, causing a disparity between the baby and adult step volumes. This update fixes all broken mobs. The mobs unaffected by this issue are the chicken, pig, parrot, silverfish, spider, cave spider, and all rideable mobs (camel, llama, horse, strider, and variants). All other mobs, including hostile mobs, are affected.
-The shading changes in this update are more complicated than old shading, so they are explained in detail below.
  -These changes are more subtle than light source shading from previous updates. The easiest way to see the new shading is to place a Sandstone block and a Sandstone double slab next to each other. With Aspects, they look identical, but without, the Sandstone block is brighter than the double slab.
  -The shading changes in this update are related to the "brightness_gamma" property in "blocks.json", which defaults to 1.0. Modifying this does nothing in a resource pack or in the game files, but some blocks which have a "brightness_gamma" property in the default resources have incorrect shading in-game. A value below 1.0 results in lighter side shading and less intense ambient occlusion, while values above 1.0 result in the opposite.
  -Snow and nether brick-related blocks have unique "brightness_gamma" values, but the shading and ambient occlusion are identical to normal blocks in-game.
  -The "brightness_gamma" property does not appear in the 1.20 blocks.json file, yet suspicious sand has the same lightness as normal sand.
  -Obsidian is the only block to have a functional "brightness_gamma" above 1.0, which means it is darker than normal. This requires an entirely different fix than lighter blocks because adding an "overlay_color" in "terrain_texture.json" always darkens an image. It cannot brighten one.
  -To fix obsidian, the image must be layered over itself at least once using the Screen blend with different settings for each side. Unfortunately, this is not compatible with other texture packs:
    -bottom: Add two Screen blend layers (copies of the base texture) above the base layer. Decrease the top Screen layer opacity from 255 to 128. Flatten the image, then increase saturation from 100 to 106.
    -east_west: Add one Screen blend layer above the base layer. Flatten the image, then increase saturation from 100 to 106.
    -north_south: Add one Screen blend layer above the base layer. Decrease the top Screen layer opacity from 255 to 80.
  -Crying and glowing obsidian also have unique "brightness_gamma" values, but since these blocks are light sources, the "brightness_gamma" is ignored in-game.

============================

Changes in the Stuffed Update (5.3.0)
Released November 17, 2023

Lines that begin with * are features unique to Java Aspects (not in Console Aspects).

==Universal==

Textures:
-*Added textures from the latest version of Fixed Vanilla (Thanks, @LateLagMC!)
  -Purple glazed terracotta
  -Dirt background in UI
  -Netherite axe, hoe, pickaxe, sword, boots, and ingot
  -Trident model
  -Double chest
  -Camel
  -Warm frog
  -Drowned
  -Clouds no longer have a semitransparent background
  -Removed unused pixels from various entities
-Enderman eyes are now pale like Java Edition
-*Spruce planks no longer have a miscolored pixel
-*Concrete powder and rooted dirt now randomly rotate like Java Edition
-Sponges and terracottas no longer randomly rotate
-*Updated map icons to match Java Edition
-Copper bulbs and trial spawners are now shaded correctly
-Dyed cauldron water is now solid
-Removed diagonal banner patterns as the default matches Java Edition (Thanks, @LateLagMC!)

Entities:
-Added entity features from the latest version of Fixed Vanilla (Thanks, @LateLagMC!)
  -3D thrown items
  -Elytra model and animations
  -Improved player, piglin, and enderman punching animations
  -Improved baby zombie running animation
  -Improved animations while swimming, crawling, and gliding
  -Cat and ocelot tails no longer z-fight
  -Squid and glow squid tentacles no longer z-fight
  -Players in spectator mode now have the same opacity as Java Edition
  -Improved bobbing animation
  -*Improved piglin celebration animation
  -*Improved baby hoglin model
-Added the bow, crossbow, shield, spyglass, and trident animations from Fixed Vanilla (Thanks, @LateLagMC!)
  -Attacking with these items now looks closer to Java Edition
  -Bow is now the correct size and visible in the offhand
  -Crossbow position and animations now match Java Edition
  -Shield position in first and third person now exactly matches Java Edition
  -Spyglass is now visible in the offhand
  -Trident is now visible in the offhand and has exact positioning
-*Shields now move relative to the direction the player is facing like Java Edition
-*Added drowned swimming animation from Java Edition
-*Villagers and zombie villagers now match Java Edition
  -Villagers now show biome hats in the same biomes as Java Edition (for example, Cartographers now have hats in deserts)
  -Zombie villagers now show biome, profession, and trade level at the same time
  -Baby zombie villagers no longer show professions or hats (except in deserts when the profession matches, like Java Edition)
  -Villager hat brims are now attached to the hat (Thanks, @LateLagMC!)
  -Added villager held item position for banners
-Iron golem attack animations now match Java Edition
-Evoker fangs now bite smoothly
-Certain held items no longer bob (such as crossbows)
-*Cape position now adjusts for chestplates (Thanks, @ZouChenyunfei!)
-Brush held item position now matches Java Edition for all entities
-Player arms now stop waggling due to movement while using a spyglass or tooting a goat horn
-Experience orbs are now semitransparent and respect world lighting conditions (Thanks, @ZouChenyunfei!)
-The Wither and its projectiles now ignore lighting (Thanks, @ZouChenyunfei!)
-*The Wither shield is now more transparent
-Wither skull projectiles now tilt vertically to face their target (Thanks, @ZouChenyunfei!)
-Projectiles no longer turn orange when on fire
-*Shields with the Ominous Banner applied now match Java Edition

Interface:
-*Recipe unlock toasts are now white like Java Edition
  -See Notes for why the animation cannot match
-*Tuff, polished tuff, and tuff brick wall icons now match Java Edition
-Added empty slot icons from Java Edition for blaze powder, bottle, lapis, saddle, horse armor, carpet, dye, banner, and banner pattern
-Horse and llama renderers now have a black background
-Highlighted Crafter slots are no longer green
-Hotbar end caps are now aligned correctly
-Recipe book buttons, settings sliders, and pocket inventory slots now use the correct selection colors
-Controller cursors can now wrap around container screens for parity with Console Aspects
-Removed the background behind copyright and version on the main menu

Sounds:
-*Music delays between songs are now longer
  -Survival, Creative, and End songs: 2-10 minutes
  -Biome-specific and Nether songs: 1-10 minutes
  -Underwater songs: 30 seconds-5 minutes
-Added till farmland, flatten path, and strip wood sounds from Java Edition
-*Rooted dirt and sponges now have unique sounds like Java Edition
-*Nether hanging sign and decorated pot shatter sounds now match Java Edition
-*Torchflower seeds, pitcher pod, and pitcher plant now use crop sounds like Java Edition
-*Levers, repeaters, and comparators now use stone sounds like Java Edition
-*Tripwire hooks now use wood sounds like Java Edition
-Copper bulb, copper door, copper trapdoor, copper grate, tuff bricks, polished tuff, and trial spawner sounds now have volumes and pitches consistent with Java Edition
-All blocks now have audible fall damage sounds (the block sound played when taking fall damage)
-Cave sounds now play at a consistent pitch and volume
-Explosion sounds now have a smaller pitch range like Java Edition
-Item throwing, breaking, and blocking sounds now match Java Edition (Thanks, @ErodedPotato!)
-Parrots now only imitate hostile mobs like Java Edition
-Added missing panda breathing sounds from Java Edition
-*Goat horns and the Ender Dragon death sound can now be heard at any distance, as long as the source location is loaded
-*Piglin brute sounds now match Java Edition and support commands
  -Play them using "/playsound entity.piglin_brute.[ambient/angry/converted_to_zombified/death/hurt/step] @s"
-Guardian and elder guardian sounds now match Java Edition and support commands
  -Play them using "/playsound entity.[guardian/elder_guardian].[ambient/ambient_land/attack/curse/death/death_land/flop/hurt/hurt_land] @s"
-Ender dragon sounds now match Java Edition and support commands
  -Play them using "/playsound entity.ender_dragon.[ambient/death/flap/growl/hurt] @s"
-*Added new sponge sounds from Java Edition for commands
  -Play them using "/playsound block.[sponge/wet_sponge].[break/fall/hit/place/step] @s"
-Added generic, hostile, and player sounds for commands
  -entity.generic.[big_fall/burn/death/drink/eat/explode/extinguish_fire/hurt/small_fall/splash/swim]
  -entity.hostile.[big_fall/death/hurt/small_fall/splash/swim]
  -entity.player.[attack.nodamage/attack.strong/attack.weak/big_fall/burp/death/hurt/hurt_sweet_berry_bush/levelup/small_fall/splash/teleport]
-Crafter sounds now match Java Edition
-UI clicking sounds are now stereo instead of mono
-Cauldron sounds are now closer to Java Edition
-Removed explosion, thorns, bottle filling/emptying, pumpkin carving, wither skeleton, drowned, husk, hoglin, splashing, and underwater entry/exit sound files as they were added to Bedrock Edition

Particles:
-Dripping particles now match Java Edition (Thanks, @ZouChenyunfei!)
-Flame and smoke particles from torches, furnaces, and fires now appear more often like Java Edition (Thanks, @ZouChenyunfei!)
-Crop bone mealing particles now respect world lighting conditions (Thanks, @ZouChenyunfei!)
-*Added powder snow, crafter smoke, and decorated pot dust particles from Java Edition (Thanks, @ZouChenyunfei!)
-Potion particles now use all animation frames (Thanks, @LateLagMC!)
-*Hanging sign breaking particles now use the stripped log side texture
-Wither boss particles are now yellow instead of black (Thanks, @ZouChenyunfei!)
-Cherry leaf, decorated pot dust, and crafter particles are now billboarded

Language:
-*Updated Italian translations to match the latest version (Thanks, @EmptyCoso!)
-The default world name is now "New World" instead of "My World"
-Awkward, mundane, and thick splash and lingering potions now have the same names as Java Edition
-*Gold Horse Armor is now "Golden Horse Armor"
-*Recipe unlock messages now match Java Edition in all languages
-The message "Sleeping through this night" no longer appears while in bed
-*The splash "Verlet integration!" is no longer misspelled
-Map descriptions are now light gray
-Removed wood planks, slabs, and stairs name changes as Bedrock Edition changed to match Java Edition
-*Removed experiment toggle name changes as Java Edition experiment names match Bedrock Edition's format

==Default==

Textures:
-Added activated Observer back texture from Java Edition (Thanks, @LateLagMC!)
-*Added shield banner pattern textures from Java Edition
-*Added horse, donkey, and mule textures from Java Edition (Thanks, @LateLagMC!)
-*Added slowness effect icon from Java Edition (Thanks, @LateLagMC!)

==Programmer Art==

Textures:
-Leather boots are now dyed like Java Edition

Interface:
-Sign UI textures now match Programmer Art signs (Thanks, @LateLagMC!)

==Fixes==

Textures:
-Savanna villager, cleric villager, and zombie villager textures now apply in Classic Textures as well
-Furnace, blast furnace, and smoker fronts are now appropriately shaded
-The enchantment glint ZIP no longer breaks leather armor textures
-Carried mangrove leaves are now the correct color
-Nether fog colors are no longer too bright

Entities:
-Punching while swimming and crawling now animates correctly
-Offhand shields are now oriented correctly
-Thrown snowballs, eggs, ender pearls, and potions are now the same size as Java Edition
-*Bee wings now animate with a sine wave instead of interpolation
-The blue Wither shield is now correctly removed
-*Entity enchantment glint is now subtler like Java Edition
-*Elytra and shield enchantment glints now match Java Edition
-First person empty hand position now exactly matches Java Edition (Thanks, @LateLagMC!)
-First person held map animations now adjust for short skins
-*Drowned arm position while aiming a trident once again matches Java Edition
-Villagers now hold cherry saplings, blue ice, bookshelves, and glass correctly
-*Villager held item poses for all flat items now match Java Edition exactly
-*Vex heads are no longer tilted upward
-*Launched fireworks now render as 3D items and face the correct direction
-Fishing bobbers are now sized correctly
-Iron golem, zombie villager, ender dragon, llama, pig saddle, Wither armor, charged creeper, and armor stand hurt and fire overlays now match Java Edition

Interface:
-Updated 2D glass pane icons for 1.20.30
-End Rod icons are now the correct size
-Hotbars are no longer too opaque in Survival Mode
-*The bottom of the hotbar is now aligned with the edge of the screen for Classic UI
-Pocket hotbar item slots are now centered under the experience bar when using touch controls with Classic UI
-Disabled the feature from the previous update which hid the XP bar and level while riding a horse or camel
  -Unfortunately, there is no way to differentiate mounts, so this change hid the XP bar on boats, minecarts, and llamas too
-The slot highlight no longer renders above the selected item in the pocket inventory screen hotbar
-Chests are no longer invisible in recipe unlock messages
-Beacon icons no longer have bright edges
-Compatibility Mode: Walls in the stonecutter screen are now visible

Sounds:
-Swamp music can once again play in-game
-Froglight sounds are quieter to match Java Edition
-Respawn anchor ambient sound now plays correctly
-*Toast sound length is now accurate for 3 second display time
-Lever sounds are now the same volume as stone button sounds
-Dispenser and tripwire sounds are now the correct volume
-Crossbow quick charge sounds now play at the right time
-Crossbow sounds are now the correct pitch and volume
-Player sounds are now the correct pitch
-Drowned, husk, and hoglin converting sounds now have the correct pitch and volume
-Anvil, bamboo, bamboo sapling, item frame, scaffolding, sculk, and sweet berry bush block sounds now match Java Edition
-Thorns sounds now play at the correct pitch and volume
-Unused boat sounds now have the correct pitch and volume

Particles:
-Block breaking particles are now closer to Java Edition (Thanks, @ZouChenyunfei!)

Language:
-tile.cherry_wall_sign.name is now "Cherry Sign"

Compatibility:
-HUD text backgrounds are now removed when using other resource packs above Java Aspects
-Using Java Aspects above Legacy Desktop UI no longer causes pack errors
-Fishing bobber is now compatible with other resource packs
-Crafting table icon in the pocket inventory screen is now compatible with other resource packs
-Updated door sounds now apply when on old Marketplace worlds
-Chest UI textures used by servers now use the normal texture

Technical:
-Updated "java_enchantment_glint.zip" and "java_no_vignette.zip" to reflect the latest changes
-Removed "java_enderman_eyes.zip" and "java_semitransparent_experience_orbs.zip" as they were merged into the main pack
-Moved item pose code to "animation.humanoid.holding_brush"
  -This animation is now always active for players and poses all held items, including the brush.
-Updated boss bars to use separate textures like Java Edition
-Updated HUD text code to match Console Aspects
-Removed unused fence gate icons as Bedrock Edition changed to match Java Edition
-Entity enchantment glint now uses the same texture as in Bedrock Edition 1.20.40

==Pack==

Technical:
-Updated the Aspects Missing Texture Patch with the following changes:
  -Copper bulb and trial spawner support
  -Log particle support
  -Fixed lit redstone lamps
  -Added specific texture files for redundancy
-Updated the minimum game version required to use the pack to 1.20.40, which means this pack is no longer compatible with earlier versions
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 5.3.0

Pack Documents:
-Renamed the New Default subpack to Default
-Removed text files related to outdated 2D item pose methods
-Updated Eroded Potato's name and Twitter handle
-Updated the custom tab with the latest Changelog and Credits
-Updated the Credits, Command List, Feature List, and Full Lists of Performance & Compatibility Changes to be correct with this version

==Notes==

-Specific Classic skins with unique heights break first-person animations when a cape is equipped, such as the Yoda and Jawa skins. Vote to fix this bug here: https://bugs.mojang.com/browse/MCPE-126660
-The new toast system in 1.20.30 calls a toast twice, with a different, hard-coded start and end position each time. This makes it impossible to have any animation which starts or ends in a different location than the default. The item renderer also breaks when the animation is changed.
-Items rendered in recipe unlock toasts and the crafter output slot (such as walls and beacons) cannot match Java Edition due to the different system used for toast items.
-Calibrated sculk sensor shading cannot match Java Edition due to using the same textures for powered and unpowered sensors, unlike normal sculk sensors.
-The shield banner pattern textures added in 1.20 use the pre-1.14 textures from Java Edition, which means they match Programmer Art. This update adds both the Default and Programmer Art textures to Java Aspects for when Bedrock Edition is updated to use the current shield banner pattern textures.
-Pitcher plants have Java-accurate one-sided rendering on Bedrock Edition. Unfortunately, this rendering cannot be applied to other X-shaped models with a resource pack.
-Although rendering a functional compass icon for the Creative inventory is possible, I will not add this to Java Aspects due to item IDs breaking every few updates. For example, the ID used for the compass in 1.20.30 becomes an egg when used in 1.20.40. This happens every update.
-Evokers can be given items with commands which become visible when casting a spell. However, fixing their item poses is not worth the performance impact as evokers will never hold items in normal gameplay.
-Sponges and wet sponges cannot have separate sounds due to resource pack limitations. Additionally, sponge "absorb" sounds always use the "break" sound from the "stone" block set, so the sound cannot be added without changing all stone block sounds.

============================

Changes in the Tints and Trims Update (5.2.1)
Released July 17, 2023

Lines that begin with * are features unique to Java Aspects (not in Console Aspects).

==Universal==

Textures:
-Distant leaves are now as bright as Java Edition
-*Fast azalea and cherry leaves now match Java Edition
-Kelp is now brighter to match Java Edition (Thanks, @ZouChenyunfei!)
-Cherry sign now has the correct command helper
-*Removed Wild Update panorama
-*Removed archer pottery sherd texture as Bedrock Edition changed to match Java Edition

Entities:
-Swimming, crawling, and sneaking animations now better match Java Edition (Thanks, @LateLagMC!)
-Disabled zombie villager hurt overlay due to upcoming profession changes

Interface:
-Disabled 2D glass pane icons due to upcoming stained glass pane ID changes
-The experience bar and number now disappear while riding a horse or camel
-Horse jump and camel dash bars are no longer stretched on mobile devices
-Decorated pots are now shaded in inventories
-Action bar HUD text (like dismount messages) now has a shadow
-Removed main menu panorama to match Java Edition

Sounds:
-Suspicious gravel, pink petals, and sniffer egg block sounds now have volumes and pitches consistent with Java Edition
-Updated brush item sounds to match Java Edition
-*Updated biome music playlists to match 1.20
-Removed cherry wood sound files as they were officially added to the game

Particles:
-Cherry log particles now use the side texture

Language:
-*Added new splashes from 1.20:
  -Made with lave!
  -This sand is sus
  -Remember to brush your... ...teeth
  -Has working bookshelves!
  -Sniff sniff...
  -Place hanging sign here
  -Joule is neat too!
-*Updated Italian translations for 1.20 (Thanks, @EmptyCoso!)
-*Crawling, experimental camera, and recipe unlocking toggles now match the Java Edition format
-Illager banner shield descriptions are now light gray
-*Spawn [Breeze/Armadillo] is now "[Breeze/Armadillo] Spawn Egg"

==Default==

Textures:
-*Removed almost all potion and tipped arrow textures
  -Only Tipped Arrows of Healing, Fire Resistance, Slow Falling, and Decay are still different on Bedrock and Java Edition

==Programmer Art==

Textures:
-*Updated Slow Falling and Wither potions and tipped arrows to match Java Edition

==Fixes==

Textures:
-Grass side color now transitions smoothly near cherry groves (Thanks, @ZouChenyunfei!)
-Enchantment glint intensity once again matches Java Edition
-Overworld fog now uses the correct color

Entities:
-Banner patterns on shields are now visible
-End crystals are now the correct height
-Villager item poses are once again correct with wool and carpet
-Armor stand baseplate is no longer visible in the smithing table

Interface:
-Removed shield item icon due to the addition of shield banner patterns
-Armor trims are now visible in inventories
-Decorated pots now show sherds in inventories
-HUD item text no longer fades in each time a new item is selected
-HUD item text now appears for the correct duration
-*Disabled toast screen changes due to upcoming recipe unlocking

Sounds:
-*Music delay time is now consistent across all biomes
-*Ghast shooting can no longer be heard 100 blocks away
-*Dead coral plants no longer make squelchy sounds

Particles:
-Updated splash potion of healing and harming particles to work with the new potion colors (Thanks, @ZouChenyunfei!)

Language:
-*Dismount messages now display the Sneak button instead of Jump
-Dismount messages now match Java Edition when using touch controls

Compatibility:
-Using old texture packs no longer causes pink-and-black squares on logs

Technical:
-Updated render controllers for persona, cape, sniffer, and camel
-Updated "java_armless_armor_stands.zip", "java_enchantment_glint.zip", and "java_no_vignette.zip" to reflect the latest changes
-Flattened villager block item pose code
-Flattened log entries in "blocks.json"

==Pack==

Technical:
-Updated the minimum game version required to use the pack to 1.20.10, which means this pack is no longer compatible with earlier versions
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 5.2.1

Pack Documents:
-Updated the Credits policy to prevent future contributors from requesting removal of their contributions
  -This policy change applies to Console Aspects as well.
-Updated all names, Twitter handles, and Discord usernames of contributors
-Updated the custom tab with the latest Changelog and Credits
-Updated the Credits, Command List, Feature List, and Full Lists of Performance & Compatibility Changes to be correct with this version

==Notes==

-The shield equip sound from 1.19.4 cannot be added by a resource pack on Bedrock Edition.
-Beds currently cannot receive 3D models in hand due to their existence under one block ID, "bed". Once the block is separated into unique IDs for each color, this may be possible.
-Although cherry leaf particles should be billboarded, the change is not in this update due to upcoming particle changes in 1.20.20.

============================

Changes in the Preshaded Update (5.2.0)
Released March 7, 2023

Lines that begin with * are features unique to Java Aspects (not in Console Aspects).

==Universal==

Textures:
-Most light sources are now shaded like Java Edition (Thanks in part to @ErodedPotato!)
  -Glowstone
  -Shroomlight
  -Lava
  -Magma
  -Crying and Glowing Obsidian
  -Sea Lantern
  -Jack o'Lantern
  -Froglights (inventory)
  -Lit Redstone Lamp
  -Lit Furnace, Blast Furnace, and Smoker
  -Enchanting Table
  -Nether Portal
  -Sculk Sensor and Catalyst
  -Respawn Anchor
  -Lava Cauldron
  -Dragon Egg
  -Lit Redstone Ores
  -Blocks that cannot be fixed:
    -Froglights (placed)
    -Beacon
    -Torches and Lanterns
    -End Rod
    -Lightning Rod
    -Candles
    -Campfires
-*Seagrass is now the same height as Java Edition
-Grass side color now transitions smoothly between biomes (Thanks, @ZouChenyunfei!)
-*Changed all potion and tipped arrow colors to match 1.19.4 pre-release 3
-*The enchantment glint is now more subtle
  -On shields, tridents, and armor, the glint now uses a separate texture
-*Added archer pottery shard texture from Java Edition
-*Leather horse armor is now fully dyed like Java Edition
-Added lighter empty slot icons from Java Edition
-Water fog distance now adjusts over a 30-second period
-Bamboo sign now has the correct command helper
-*Removed carried mangrove propagule, melon bottom, and red sandstone bottom changes as Bedrock Edition changed to match Java Edition

Entities:
-*Vex wings, arms, body, and offhand item poses now match Java Edition
-Iron golems now wobble more like Java Edition (Thanks, @EmptyCoso!)
-Non-drowned enemies no longer brandish tridents
-Enemies without bows no longer act like they're drawing an arrow
-Allays no longer render worn armor

Interface:
-*Added creative tab icons from Java Edition
-Removed smithing table screen and category text removal features to prepare for upcoming changes
-*Removed the hotbar item pulse change as it does occur on Java Edition

Sounds:
-Unique trapdoor, fence gate, iron door, iron trapdoor, button, and pressure plate sounds now play in-game
-Chorus plants and flowers now use wood sounds
-*Lily pads now use big dripleaf sounds
-Fish now have death sounds
-Pufferfish now have sting sounds
-Step and fall sounds are now controlled by the Player volume slider
-Bamboo wood, cherry wood, nether wood, hanging sign, suspicious sand, decorated pot, and chiseled bookshelf block sounds now have volumes and pitches consistent with Java Edition
-Updated door, trapdoor, fence gate, button, and pressure plate sounds to match 1.20
-Lowered Wild Update music volumes to match 1.20
-Added illusioner sounds from Java Edition for commands
  -Play them using "/playsound entity.illusioner.[ambient/cast_spell/death/hurt/mirror_move/prepare_blindness/prepare_mirror] @s"
-Added 1.20 sound events for commands
  -Camel (entity.camel.[ambient/dash/dash_ready/death/eat/hurt/sit/stand/step/step_sand])
  -Sniffer (entity.sniffer.[death/digging/digging_stop/drop_seed/eat/happy/hurt/idle/scenting/searching/sniffing/step])
  -Brush (item.brush.[brushing/brush_sand_completed])
  -Bamboo, Cherry, and Nether woods (block.[bamboo_wood/cherry_wood/nether_wood].[break/fall/hit/place/step])
  -Hanging sign (block.[bamboo_wood_hanging_sign/cherry_wood_hanging_sign/hanging_sign/nether_wood_hanging_sign].[break/fall/hit/place/step])
  -Chiseled bookshelf (block.chiseled_bookshelf.[break/fall/hit/insert/insert.enchanted/pickup/pickup.enchanted/place/step])
  -Suspicious sand (block.suspicious_sand.[break/fall/hit/place/step])
  -Decorated pot (block.decorated_pot.[break/fall/hit/place/shatter/step])
  -Bamboo, Cherry, and Nether doors (block.[bamboo_wood_door/cherry_wood_door/nether_wood_door].[close/open])
  -Bamboo, Cherry, and Nether trapdoors (block.[bamboo_wood_trapdoor/cherry_wood_trapdoor/nether_wood_trapdoor].[close/open])
  -Bamboo, Cherry, and Nether fence gates (block.[bamboo_wood_fence_gate/cherry_wood_fence_gate/nether_wood_fence_gate].[close/open])
  -Bamboo, Cherry, and Nether buttons (block.[bamboo_wood_button/cherry_wood_button/nether_wood_button].[click_off/click_on])
  -Bamboo, Cherry, and Nether pressure plates (block.[bamboo_wood_pressure_plate/cherry_wood_pressure_plate/nether_wood_pressure_plate].[click_off/click_on])
-Added Java sound events for classic blocks
  -Anvil (block.anvil.[break/destroy/fall/hit/land/place/step/use])
  -Glass (block.glass.[break/fall/hit/place/step])
  -Grass (block.grass.[break/fall/hit/place/step])
  -Gravel (block.gravel.[break/fall/hit/place/step])
  -Item Frame (entity.[glow_item_frame/item_frame].[add_item/break/place/remove_item/rotate_item])
  -Ladder (block.ladder.[break/fall/hit/place/step])
  -Sand (block.sand.[break/fall/hit/place/step])
  -Slime Block (block.slime_block.[break/fall/hit/place/step])
  -Snow (block.snow.[break/fall/hit/place/step])
  -Stone (block.stone.[break/fall/hit/place/step])
  -Wood (block.wood.[break/fall/hit/place/step])
  -Wool (block.wool.[break/fall/hit/place/step])
-*Removed enchanting, goat horn, and mangrove propagule sound changes as Bedrock Edition changed to match Java Edition

Particles:
-Sonic boom and ambient spell particles are now billboarded
-Mangrove log and block of bamboo particles now use the side texture

Language:
-*Spawn [Camel/Ender Dragon/Iron Golem/Sniffer/Snow Golem/Wither] is now "[Camel/Ender Dragon/Iron Golem/Sniffer/Snow Golem/Wither] Spawn Egg"
-Head is now "Player Head"
-*Added new splashes from 1.19.3
  -Technoblade never dies!
  -You are valid!
  -I'm glad you're here!
  -You are welcome here!
  -Your gender is valid!
  -Contains infinite genders!
-The 5 music disc's name is now blue like other music discs
-*Experimental world text is now yellow
-*Sound slider names now match Java Edition
-Removed End Portal Frame, Flowering Azalea Leaves, and "Dream" goat horn name changes as Bedrock Edition changed to match Java Edition
-*Removed Monster Spawner name change as Java Edition changed to match Bedrock Edition

Compatibility:
-Java Aspects can now be used below Console Aspects without pack errors

Technical:
-*Added unused opaque mangrove leaves texture
-Basalt Deltas music now uses the sound event from Java Edition

==Programmer Art==

Interface:
-Added lapis and horse armor slot icons from Java Edition

==Compatibility Mode==

-Added a new pack option to allow full compatibility with other resource packs, including packs from the Marketplace
-This mode disables certain features:
  -Experience bar texture
  -Animated light source shading
  -Item icons
  -Dirt, stone, and deepslate random rotation
  -Carried barrel, cartography table, fletching table, and grass block textures

==Fixes==

Textures:
-Villager and zombie villager texture changes now apply when using Programmer Art
-Decay potions and arrows now have a visible texture
-*Underwater fog is now 90 blocks by default and 75 blocks in swamps
-*Mangrove swamp fog is now the correct color
-*Structure voids no longer cover the whole block
-Carried grass block color is more accurate (Thanks, @ErodedPotato!)
-The item name border is now sized correctly

Entities:
-Trader llamas are no longer invisible on the beta/preview
-*Vex animations now match the new model
-Endermen no longer hover above the ground
-New 2D items will now always be held correctly
-Blocking with an offhand shield no longer flips the shield upside-down
-Offhand fishing rods are now held correctly

Interface:
-The profanity filter is yet again disabled in the chat screen
-*Toast notifications now respect the duration setting
-*Certain COVID-19 splashes now use the correct font type
-*Scaffolding icon now uses the updated texture
-HUD text shadows are no longer cut off on the right edge

Sounds:
-Zombie and skeleton walking sounds are now consistent

Particles:
-Buckets are now assigned the Java sound events in sounds.json

Language:
-All dismount messages now match Java Edition
-item.board.name is now "Chalkboard" (Thanks, @EmptyCoso!)

Compatibility:
-Creative inventory section labels are now aligned correctly with VDX: Legacy Desktop UI (previously Java UI)

Technical:
-Updated render controllers for persona, player, cape, bee, and vex
-Updated "java_no_vignette.zip" and "java_enchantment_glint.zip" to reflect the latest changes
-Removed "textures_list.json" file
-Removed outdated item files

==Pack==

Technical:
-Removed "java_dark_forest_grass_color.zip" file as Bedrock Edition changed to match Java Edition
-Removed "java_inventory_effects..." zip files as they no longer work
-Updated the minimum game version required to use the pack to 1.19.60, which means this pack is no longer compatible with earlier versions
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 5.2.0

Pack Documents:
-Added a Java Aspects title texture to the custom tab (Thanks, @patredenglish!)
-Added a Full List of Compatibility Changes document to the Compatibility Mode subpack
  -This file will help me update the Compatibility Mode quickly
-Updated the custom tab with the latest Changelog
-Updated the Credits, Feature List, and Full List of Performance Changes to be correct with this version
-Updated DogLoss' name and Discord handle

==Notes==

-Mob effects cannot be moved to the right side of the screen. Due to how they're hard-coded, it's impossible to align them correctly for all aspect ratios and GUI scales.
-This update changes held item poses to use Console Aspects' system, which means 3D items have a slight tilt in your hand. This was necessary because there are now too many 2D items for Minecraft to load in an animation query without crashing. The benefit of this new system is that new 2D items will look correct without a Java Aspects update. If you want to use the original system that crashes the game, it is included with 1.20 items in the "Original Player Item Pose Animation (Crashes)" file in the animations folder.
-Toast notifications are not animated on beta/preview versions due to upcoming changes related to recipe unlocking.

============================

Changes in the Horns and Highlights Update (5.1.1)
Released June 10, 2022

Lines that begin with * are features unique to Java Aspects (not in Console Aspects).

==Universal==

Entities:
-*Added the Java Edition held item position for goat horns
-*The tooting goat horn animation now matches Java Edition

Sounds:
-*Added the "Feel" goat horn sound from Java Edition
-*Goat horn sounds are no longer 3D

Language:
-*The "Resist" goat horn is now called "Dream" to match Java Edition

Technical:
-Added Fidelity item icons to ZIP files in Performance
  -Extract "java_bed_icons.zip" to add high-resolution bed icons from Java Edition
  -Extract "java_item_icons.zip" to add all other high-resolution item icons from Java Edition

==Default==

Textures:
-*Added the leather cap armor texture from Java Edition

==Fixes==

Entities:
-Hands now render correctly in first person when holding maps
-Clerics once again render their biome-specific clothes
-*Cleric hoods no longer z-fight with their robes
-Experience orbs are no longer semitransparent due to visual bugs
  -The semitransparency can be re-enabled by extracting "java_semitransparent_experience_orbs.zip" to the current directory
-Shulker bullets are now scaled correctly
-Sticks are now held correctly
-Player render controllers now include spectator entries
-*Punching while swimming, punching while gliding, and cape flapping animations are now up-to-date in Performance

Interface:
-Selected items are no longer invisible when using a controller
-*Category text is now removed when using touch controls (Thanks, @LukasPAH!)
-Durability bars are now the correct height in Performance
-*Highlighted inventory slots now overlay the item with white like Java Edition
-The hotbar is now the correct height when using pocket UI

Compatibility:
-*Category text is now removed when using VDX: Java UI v1.2.1

Technical:
-The "exp_progress_bar_and_hotbar_pocket" element in "hud_screen.json" now matches the "exp_progress_bar_and_hotbar" element
-*Updated "java_no_vignette.zip" to reflect the latest changes

==Pack==

Technical:
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 5.1.1

Pack Documents:
-Updated the custom tab with the latest Changelog
-Updated the Feature List and Full List of Performance Changes to be correct with this version

==Notes==

-The durability bars from Fidelity cannot be added to a ZIP file in Performance because they overlap with the same files as item icons.
-The held item poses from Fidelity will not be added to a ZIP file in Performance because they are guaranteed to crash mobile devices. I will not allow players to crash their own game by accident.

============================

Changes in the Integration Update (5.1.0)
Released June 7, 2022

Lines that begin with * are features unique to Java Aspects (not in Console Aspects).

==Universal==

Textures:
-Added the snowy grass side texture from Java Edition (Thanks, @LateLagMC!)
-*Blackstone stairs and slabs now use different top and side textures (Thanks, @LateLagMC!)
-*Carried mangrove propagule and leaves now match Java Edition
-*Updated the carried cartography table top texture
-*Sculk catalyst block animations now match Java Edition
-*Mangrove swamp water and fog colors now match Java Edition
-*Removed cave vines, placed light, Nether stem top, stripped dark oak log side, and stripped spruce log side textures as Java Edition changed to match Bedrock Edition
-*Removed glow item frame, Nether sign, and campfire item textures as Bedrock Edition changed to match Java Edition
-*Removed wither projectile and piglin entity textures as Bedrock Edition changed to match Java Edition

Entities:
-*Burning entities no longer have an orange overlay (Thanks, @LukasPAH and @ZouChenyunfei!)
-Hurt entity overlays are now more transparent (Thanks, @LukasPAH and @ZouChenyunfei!)
-Glow squids and blazes now have consistent lighting across their model (Thanks, @ZouChenyunfei and @netongas_ng!)
-Experience orbs no longer glow and are now semitransparent (Thanks, @ZouChenyunfei and @netongas_ng!)
-Added various features from MultiPixel (Thanks, @ZouChenyunfei!)
  -Llama decor and pig saddles are now separate from the body
  -Shulker bullets now have a semitransparent shell
  -Zombie villager robes no longer stick through armor
  -Endermen now shake when angry
  -Charged creeper armor now flashes while exploding
-*Villager and zombie villager robes are now longer to match Java Edition
-Added villager held block and item positions from Java Edition
-Added cow and pig models from Java Edition (Thanks, LugiaGamerYT!)
-*The Wither now flashes while spawning like Java Edition
-End crystals now rotate like Java Edition (Thanks, sharedloss on Discord!)
-Elytra and cape positions now match Java Edition (Thanks in part to @LateLagMC!)

Interface:
-*Toast popups are now smaller and slide from the right like Java Edition (Thanks, @ZouChenyunfei!)
-*The mud brick wall and border inventory icons now match Java Edition
-*Updated main menu panorama to match Java Edition
-Added the half armor HUD texture from Java Edition

Sounds:
-*1.19 music now matches Java Edition
  -Swamp music can now play in lush caves and the main menu
  -1.18 and 1.19 music no longer play in badlands
-*Music now plays less often like Java Edition
-Mud, frog, and mangrove-related block sound volumes and pitches now match Java Edition
-*Mangrove propagules now use grass sounds like Java Edition
-Armor stand sounds now match Java Edition (Thanks, @netongas_ng!)
-Crossbow sounds are now closer to Java Edition
-Chest boats no longer have swimming sounds
-*Achievements and other notifications now use Java Edition sounds
-*Added more Java Edition sound events for commands
  -1.19 music (music.overworld.[deep_dark/jungle_and_forest/old_growth_taiga/swamp])
  -Notifications (ui.toast.[challenge_complete/in/out])
  -Bucket (item.bucket.[empty/empty_axolotl/empty_fish/empty_lava/empty_powder_snow/empty_tadpole/fill/fill_axolotl/fill_fish/fill_lava/fill_powder_snow/fill_tadpole])
  -Goat horn (item.goat_horn.sound.[0/1/2/3/4/5/6/7])
  -Allay (entity.allay.[ambient_with_item/ambient_without_item/death/hurt/item_given/item_taken/item_thrown])
  -Axolotl (entity.axolotl.[attack/death/hurt/idle_air/idle_water/splash/swim])
  -Frog (entity.frog.[ambient/death/eat/hurt/lay_spawn/long_jump/step/tongue])
  -Glow squid (entity.glow_squid.[ambient/death/hurt/squirt])
  -Goat (entity.goat.[ambient/death/eat/horn_break/hurt/long_jump/milk/prepare_ram/ram_impact/step])
  -Screaming goat (entity.goat.screaming.[ambient/death/eat/hurt/long_jump/milk/prepare_ram/ram_impact])
  -Tadpole (entity.tadpole.[death/flop/grow_up/hurt])
  -Warden (entity.warden.[agitated/ambient/angry/attack_impact/death/dig/emerge/heartbeat/hurt/listening/listening_angry/nearby_close/nearby_closer/nearby_closest/roar/sniff/sonic_boom/sonic_charge/step/tendril_clicks])

Particles:
-Stained glass breaking particles are now semitransparent (Thanks, @ZouChenyunfei!)
-Warden particles are now darkened like Java Edition
-Totem of undying particles are now closer to Java Edition (Thanks, @ZouChenyunfei!)

Language:
-*Spawn [Allay/Agent/Trader Llama] is now "[Allay/Agent/Trader Llama] Spawn Egg"
-*Updated Mexican Spanish translations (Thanks, @netongas_ng!)
-*Added new splashes from 1.19
  -Shriek like a Sculk Shrieker!
  -Who let the frogs out?
  -RIBBIT!
  -Croak team!
  -Nooooooooooooo!
  -Flower forest TM perfume
  -Hat Fridays!
-*Removed "Привет Россия!" splash
-Leave vehicle ("Press Sneak to dismount") messages now match Java Edition
-Unobtainable items now have English names instead of identifiers
-The Spectator Mode experimental toggle now says "Allow spectator mode"

==Default==

Textures:
-*Added smoker bottom texture from Java Edition
-*Added cleric villager, savanna villager, iron golem, llama chest, and biome-specific zombie villager entity textures from Java Edition
-*Updated vindicator texture to match Java Edition
-*Removed comparator top block textures
-*Removed item frame, overworld sign, and overworld door item textures as Bedrock Edition changed to match Java Edition

==Fixes==

Textures:
-*Cold strider textures once again match Java Edition
-New spawn egg textures will no longer break
-*Sculk sensor animation changes are now applied when using the Programmer Art pack option
-Removed various unused overlay textures

Entities:
-Punching while swimming, gliding, and holding a loaded crossbow now matches Java Edition
-Updated cape animation to be closer to Java Edition
-*Updated the hoglin and zoglin models to match Java Edition exactly (Thanks, @LateLagMC!)
-Lodestone compass, suspicious stew, chest boats, echo shard, recovery compass, music disc 5, disc fragment, allay and trader llama spawn eggs, mangrove items, and unobtainable flat items (like end gateways) are now held correctly

Interface:
-New items will no longer show category text (Thanks, @LukasPAH!)
-HUD text now respects "$text_binding" and "$text_color" variables
-HUD text no longer cuts off long item names
-Lit furnace, lit redstone lamp, nether portal, and glowing obsidian are now shaded in inventories like other light sources
-The "New" notification is now removed even when no treatment is applied
-Command helper previews are now correct for mangrove signs

Sounds:
-*Sculk block sound events now match Java Edition pitches
-*Added missing "block.sculk.charge" sound event
-Camera blocks no longer make wet grass sounds

Particles:
-Sculk sensor, smoke, and sculk shrieker particles are now closer to Java Edition (Thanks, @ZouChenyunfei!)
-Glow item frame breaking particles are now in-line with normal item frame breaking particles

Language:
-Game rule name changes now apply in the new create world UI
-The Otherside music disc's name is now blue like other music discs
-Corrected various banner description and effect texts in other languages

Compatibility:
-Locked maps are now compatible with other resource packs

Technical:
-Simplified skeleton arm position animations (Thanks, @netongas_ng!)
-Added a "textures_list.json" file to attempt to force the game to load new textures
-Optimized all "[entity].entity.json" files
-Removed ink and crop growth particle files as they were unchanged
-Changed "map" to "filled_map" in animation queries
-*Removed references to firefly spawn eggs, as they are no longer coming to the game

Pack Documents:
-Corrected mistakes in 5.0.0's and 5.0.1's Changelogs

==Pack==

Technical:
-Added various ZIP files to the main resource pack folder next to the Changelog
  -Extracting "java_no_vignette.zip" to the current directory and choosing "replace" will remove the vignette
  -Extracting "java_dark_forest_grass_color.zip" to the current directory will darken the color of all forest grass to match dark forests on Java Edition
  -Extracting "java_enderman_eyes.zip" to the current directory will bring enderman eyes closer to Java Edition
  -The above optional features are all additions from Lukas' Java Parity Pack (Thanks, @LukasPAH!)
  -Extracting "java_armless_armor_stands.zip" to the current directory and choosing "replace" will cause armor stands to hide their arms until you give them a held item (Thanks, @ZouChenyunfei!)
  -Extracting "java_inventory_effects_gui_scale_0" to the current directory and setting GUI scale to 0 with either a 2560x1440 or 3440x1440 display resolution will add current status effects to the left side of the inventory screen
    -Using either ZIP with a different display resolution, aspect ratio, or GUI scale will not align the effects with the inventory screen correctly
-Added a deep dark fog file
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 5.1.0

Pack Documents:
-The subpack screen now has descriptions for each option
-Updated EmptyCoso's Twitter handle
-Changed the Java Edition version this pack tries to match from 1.18 Pre-release 4 to 1.19.0 in the Feature List
-Updated the custom tab with the latest Changelog and Credits
-Updated the Credits, Command List, and Feature List to be correct with this version

==Notes==

-As of this update, every feature from Lukas' Java Parity Pack has been ported to Java Aspects. As Lukas' pack is no longer being updated, I recommend that you use Java Aspects exclusively instead.
-This update also brings Java Aspects up-to-date with Fixed Vanilla 1.9.0 and MultiPixel 1.19.
-The updated texture for large cocoa beans from 22w11a was not added in this update because it requires an updated cocoa pod block model, which cannot be added in a resource pack.
-Sculk should use the same random rotation method (variations) as stone, bedrock, and deepslate, but due to a game bug, the variants cannot be animated. The code and files are still included in this update, but they're inactive.
-Java witch item positions are not possible to add to Bedrock Edition. The item is hard-coded instead of part of the model like every other entity.
-Crossbow sounds work differently on Bedrock Edition. The quick charge enchantment level is not considered when picking the sounds, so I cannot perfectly map Java Edition's sounds to it.
-The content error about the shriek particle is incorrect. The current implementation in Java Aspects is functional; the default implementation is broken.

============================

Changes in the Stop-Gap Update (5.0.1)
Released February 19, 2022

Lines that begin with * are features unique to Java Aspects (not in Console Aspects).

==Universal==

Entities:
-*Added Java Edition held item positions for pointed dripstone
-*Removed iron golem cracking as it was added to Bedrock Edition

Interface:
-Sculk catalyst and froglights are now shaded like Java Edition
-The Marketplace button no longer displays advertisements

Sounds:
-*Removed iron golem damage and repair sounds as they were added to Bedrock Edition

Language:
-*Spawn [Frog/Tadpole/Firefly/Warden] is now "[Frog/Tadpole/Firefly/Warden] Spawn Egg"
-Raid bar text now matches Java Edition in all languages (Thanks, @CrisXolt!)
-Banner pattern descriptions now match Java Edition in all languages
-*Updated Mexican Spanish translations (Thanks, @netongas_ng!)
-*Updated Italian translations (Thanks, @EmptyCoso!)
-Banner pattern, firework, and potion effect descriptions are now colored like Java Edition (Thanks, @LukasPAH!)
-Coordinate text is now "XYZ: [X] / [Y] / [Z]" in languages other than English
-*Buried Treasure Map and Ominous Banner names are now italicized like Java Edition
-*The Wild Update experimental toggle now says "Enable Wild Update features"
-*Online play warning messages now match Java Edition (Thanks, @netongas_ng!)

==Fixes==

Entities:
-Shield raise animations now play every time the player blocks
-Beds, globe banner pattern, sculk vein, frog spawn, tadpole bucket, and frog, tadpole, firefly, and warden spawn eggs are now held correctly

Interface:
-Stonecutter recipes are no longer invisible with Performance
-Quick trade buttons are once again pressable
-*Raid bars now show Victory and Defeat messages (Thanks, @CrisXolt!)
-Item icons and overlays are now the correct size in the trade screen
-Spawners are no longer shaded twice in inventories
-Blue ice is no longer shaded twice in the trade screen
-Donkey, mule, and llama inventory pocket screens are no longer missing the chest icon (Thanks, @LukasPAH!)
-The profanity filter is once again disabled in the chat screen
-Effect name colors no longer color the "/effect" command output messages (Thanks, @LukasPAH!)
-The "New" and "Sale!" notifications are now correctly removed

Language:
-Darkness effect and globe banner pattern texts are now colored like Java Edition
-Italian translations no longer have incorrect music disc descriptions (Thanks, @EmptyCoso!)

Technical:
-Frog, tadpole, and warden spawn eggs now use a direct texture instead of a template
-Added missing cave fog files and "biomes_client.json" entries

Pack Documents:
-Added Zarkmend ZAN (@Zarkmend_ZAN) to the Credits for the original code design for iron golem cracking

==Pack==

Technical:
-Added the Java enchantment glint ZIP file from Fidelity to Performance for consistency
-Added chest textures and the "specific_item_renderer_performance" element from Performance to Fidelity for consistency
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 5.0.1

Pack Documents:
-Added a Full List of Performance Changes document to the main resource pack folder
  -This file will help me update the Fidelity and Performance versions of Java Aspects quickly
-Updated TrèsAbhi's name and Twitter handle
-Updated the custom tab with the latest Changelog and Credits
-Updated the Credits and Feature List to be correct with this version

============================

Changes in the Caves, Screens, and Items Update (5.0.0)
Released November 20, 2021

Lines that begin with * are features unique to Java Aspects (not in Console Aspects).

==Universal==

Textures:
-*Added light and cave vines plant block textures from Java Edition
-*Added glow item frame, Nether sign, and campfire item textures from Java Edition
-*Added wither projectile textures from Java Edition
-*Water now stays transparent at a distance like Java Edition (Thanks, @ZouChenyunfei!)
-Grass and ferns are no longer white at a distance (Thanks, @ZouChenyunfei!)
-*Stone, bedrock, and deepslate now randomly rotate following Java Edition rules
-*Coarse dirt and azalea leaves no longer randomly rotate to match Java Edition
-Rain and lava fog colors now match Java Edition
-Rain fog is now the same distance from the player as clear weather fog
-*Water color in new mountain biomes now matches Java Edition
-*Added sculk sensor animation from Java Edition
-*Carried fletching tables now match Java Edition (Thanks, @ZouChenyunfei!)
-*Removed dried kelp block textures as Bedrock Edition changed to match Java Edition
-*Removed dried kelp and netherite ingot, sword, axe, pickaxe, hoe, and boots item textures as Bedrock Edition changed to match Java Edition

Entities:
-Added Java Edition held item positions for 2D items, perpendicular items (such as tools and bones), totems of undying, bows, crossbows, bows, crossbows, fishing rods, banners, tridents, spyglasses, and shields (Thanks in part to @ZouChenyunfei and @netongas_ng!)
-*Added first person trident, crossbow, and spyglass item positions from Java Edition (Thanks, @ZouChenyunfei!)
-*Changed crossbow and trident aiming animations to match Java Edition
-Pillagers now keep their crossbows up all the time
-Vindicators and zombie villagers now hold offhand items in the right place
-Cape movement is now closer to Java Edition (Thanks, @ZouChenyunfei!)
-*The player's left arm now continues to bob while looking down a spyglass
-*While blocking, the player's non-shield arm now lowers to be in-line with the body
-*Removed separated strider legs as Bedrock Edition changed to match Java Edition

Particles:
-*Added glow squid, sculk sensor, eating, and item breaking particles from Java Edition (Thanks, @ZouChenyunfei!)
-Spore blossom, sculk sensor, sculk soul, wax, dripstone, copper, glow squid, powder snow, spark, and candle particles no longer rotate to face the camera
-Log, stem, and hay breaking particles now use the side texture like Java Edition (Thanks, @ZouChenyunfei!)

Interface:
-Glass pane, wall, conduit, scaffolding, end rod, lightning rod, and shield inventory icons now match Java Edition (Thanks, @LukasPAH!)
-Added item durability bar colors from Java Edition (Thanks, @LukasPAH!)
-Item durability bars are now visible in Creative Mode like Java Edition (Thanks, @LukasPAH!)
-*Added main menu panorama from Java Edition
-Updated item files to include 1.17 and 1.19 items and match the latest format
-Removed block previews in the chat screen (Thanks, @LukasPAH!)

Sounds:
-Wheat, carrots, potatoes, and beetroot crops now use crop sounds from Java Edition
-*Added vine sounds from Java Edition
-*Added candle sounds from Java Edition
-All 1.17, 1.18, and 1.19 block sounds and music now have volumes and pitches consistent with Java Edition
-*Big dripleaf now uses tilt up sounds different to the tilt down sounds
-Deepslate bricks now make consistent step sounds
-Removed Nether ambience, drowning, and burn damage sounds as they were added to Bedrock Edition
-*Added more Java Edition sound identifiers for commands from 1.17 and 1.19
  -All 1.17 and 1.19 block sounds (block.[block_name].[break/fall/hurt/place/step])
  -1.18 music (music.overworld.[dripstone_caves/frozen_peaks/grove/jagged_peaks/lush_caves/meadow/snowy_slopes/stony_peaks])
  -Candle (block.candle.[ambient/extinguish]/block.cake.add_candle)
  -Freeze damage (entity.player.hurt_freeze)
  -Ink sacs (item.[glow_ink_sac/ink_sac].use)
  -Wax (item.honeycomb.wax_on/item.axe.[scrape/wax_off])
  -Powder snow bucket (item.bucket.[empty_powder_snow/fill_powder_snow])
  -Dripleaf tilt (block.big_dripleaf.[tilt_down/tilt_up])
  -Amethyst chime (block.amethyst_block.chime)
  -Pick glow berries (block.cave_vines.pick_berries)
  -Pointed dripstone (block.pointed_dripstone.[drip_lava/drip_lava_into_cauldron/drip_water/drip_water_into_cauldron/land])
  -Sculk activation (block.sculk.spread)
  -Sculk catalyst activation (block.sculk_catalyst.bloom)
  -Sculk sensor activation (block.sculk_sensor.[clicking/clicking_stop])
  -Sculk shrieker activation (block.sculk_shrieker.shriek)
  -Lever click (block.lever.click)
  -Button and pressure plate click (block.[stone_button/wooden_button/metal_pressure_plate/stone_pressure_plate/wooden_pressure_plate].[click_off/click_on])
-Underwater ambience sounds are no longer 3D

Language:
-*Flowered Azalea Leaves are now "Flowering Azalea Leaves"
-*Light Block is now "Light"
-*Spawn [Axolotl/Goat/Glow Squid] is now "[Axolotl/Goat/Glow Squid] Spawn Egg"
-item.debug_stick.name is now "Debug Stick"
-item.spawn_egg.name is now "Spawn Egg"
-*Creeper, Skull, and Mojang Banner Patterns, Barrier, Jigsaw Block, Minecart with Command Block, Structure Void, and Light now have colored names to match Java Edition (Thanks, @LukasPAH!)
-*Removed redstone dust name change as Bedrock Edition changed to match Java Edition
-*Changed new game rule and experiment names to match the Java Edition format
-*Updated biome names to match the latest snapshot
-*Added Italian (it_IT) translations from Java Edition (Thanks, @EmptyCoso!)
-*Added new splashes from 1.17 and 1.18
  -Black lives matter!
  -Be anti-racist!
  -Learn about allyship!
  -Speak OUT against injustice and UP for equality!
  -Amplify and listen to BIPOC voices!
  -Educate your friends on anti-racism!
  -Support the BIPOC community and creators!
  -Stand up for equality in your community!
  -[this splash text is now available]
  -Contains simulated goats!
  -Home-made!
  -There's <<a cat on ,my keyboard!~
  -The cutest predator you'll ever meet!
  -Now you are thinking with pistons!
  -Get to the coppah!
  -Board game version also available!
  -Honey, I waxed the copper!
  -Plant-based light sources!
  -Made by "real" people!
-*Changed various splashes to match Java Edition
  -"Sexy!" is now "Moderately attractive!"
  -"Now Java 8!" is now "Java 16 + 1 = 17!"
  -"OpenGL 2.1 (if supported)!" is now "Now on OpenGL 3.2 core profile!"
-*Removed splashes "Woo, /v/!" and "Woo, minecraftforum!" to match Java Edition
-*Removed the Badlands name change as it was officially added to Bedrock Edition

Technical:
-Updated item icon code to match Lukas' Java Parity Pack (Thanks, @LukasPAH!)
-Added interactive block sound sets for bamboo saplings, item frames, and sweet berry bushes for consistency with other block sound sets

==Default==

Textures:
-*Added the pumpkin top and powered comparator top block textures from Java Edition
-*Added item frame, overworld sign, and overworld door item textures from Java Edition
-*Added bottle and lapis outlines from Java Edition
-*Removed quartz block, iron ore, and crafting table as Bedrock Edition changed to match Java Edition
-*Removed sign block textures as Java Edition changed to match Bedrock Edition

==Programmer Art==

Textures:
-*Added the dried kelp item texture from Java Edition

==Fixes==

Textures:
-*Corrected lukewarm and warm ocean fog colors
-Block shading, beds, and item icons are now much higher resolution
-*Default: The lodestone compass now matches the latest compass texture

Entities:
-*Baby zombified piglin swords are now positioned correctly once again
-*Pillagers and vindicators now render held crossbows, shields, tridents, and spyglasses
-*Drowned no longer tilt forward or wiggle their arms while swimming or walking with held items
-*Zombies now keep both arms up at the correct angle while chasing a target (Thanks, @ZouChenyunfei!)
-*Drowned left and right arms are no longer swapped
-First person empty hand hitting animation is now closer to Java Edition (Thanks, ambiennt on Discord!)
-*The sneaking animation is now actually changed to match Java Edition
-Third person shield blocking animations are now closer to Java Edition

Interface:
-Blue ice and compound creators are no longer shaded twice in inventories
-Cartography table, loom, stonecutter, and trading pocket screens are no longer missing the chest icon
-The loom now shows banner pattern previews correctly (Thanks, @LateLagMC!)
-*The smithing table pocket screen is no longer broken
-Hotbar and jukebox text heights once again match Java Edition
-*Jukebox text is once again rainbow
-*Jukebox text is no longer partially cut off and now disappears correctly (Thanks, @CrisXolt!)
-Selected item count is now in the correct position (Thanks, @LukasPAH!)
-The hotbar is now aligned correctly with pocket UI
-Command helper previews are now correct for candle cakes

Sounds:
-Sandstone stairs, red sandstone stairs, and ender chests no longer make wet grass sounds
-*Landing on boats, scaffolding, lily pads, and stairs no longer makes wet grass sounds
-*So Below can now play in basalt deltas
-*Doors now only play certain open and close sounds like Java Edition

Particles:
-Adjusted breaking and walking particle hitbox size, trajectory, and quantity (Thanks, @ZouChenyunfei!)
-Copper and glow squid particles are no longer invisible
-Chest breaking particles are now always square
-Rain splash and critical hit particles now match the latest version

Language:
-*Colored item names now apply across all languages
-Clarified that the Programmer Art pack option is for classic textures on the subpack screen

Compatibility:
-Experience and boss bars are now compatible with the MultiPixel texture pack
-Item icons are now compatible with the MultiPixel texture pack
-Carried cartography tables and barrels are now compatible with the MultiPixel texture pack
-Chest breaking particles are now compatible with other resource packs

Technical:
-Axolotl, goat, and glow squid spawn eggs now use a direct texture instead of a template
-Fall on block sounds are now formatted correctly in "sounds.json", but disabled due to an unavoidable bug
-*Updated "biomes_client.json" to the latest format
-Removed the "items_new" folder as it was deprecated
-Optimized the inventory icon code (Thanks, @LukasPAH!)
-*Optimized underwater ambience sounds and Nether music to use the new weight system
-Alphabetized "terrain_texture.json" and "biomes_client.json"

==Pack==

Technical:
-*Replaced Java Aspects+ and normal Java Aspects with Java Aspects (Performance) and Java Aspects (Fidelity)
  -Performance doesn't include item icons, durability bars, full held item positioning, or the enchantment glint ZIP file, which makes the game run more smoothly
  -Fidelity includes all the features listed in this Changelog, but may run poorly or outright crash on mobile and low-end devices
-Updated the minimum game version required to use the pack to 1.16.0, which means this pack is no longer compatible with earlier versions
-Added "java_enchantment_glint.zip" to the main resource pack folder next to the Changelog
  -Extracting this file to the current directory and choosing "replace" will add Java Edition the enchantment glint to Java Aspects
  -This is not recommended, as the high-resolution textures required to make the enchantment glint work properly cause major performance issues
-Added a "flattened_items" folder in the main resource pack folder
  -This folder matches the format of the "items" folder, but has updated namespaces to match Java Edition 1.13.
  -This folder will replace the current "items" folder when blocks are flattened on Bedrock Edition.
-Added a file in the "animation_controllers" folder called "2D Item List.txt"
  -This list is used to create 2D item query lists for held item position animations
-*Marked non-functional block sound sets in "sounds.json"
-Added pointed dripstone held item pose placeholders for future updates
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 5.0.0

Pack Documents:
-Updated LukasPAH's name and Twitter handle
-Updated Rainvay_ZCYF's name and Twitter handle
-Changed the Java Edition version this pack tries to match from 1.16.2 to 1.18 Pre-release 4 in the Feature List
-Updated the custom tab with the latest Changelog and Credits
-Updated the Credits, Command List, and Feature List to be correct with this version

==Notes==

-If your dirt, stone, and bedrock textures are replaced by purple and black squares, apply Java Aspects only in Global Resources, then close and open the game with the pack applied. This issue is a game bug, not a pack bug. This is the only way to get around it.
-Redstone wire's secondary texture cannot be added to Bedrock Edition using random block variations because on Java Edition, the texture is selected based on redstone line direction, not random chance.
-Landing on lily pads, scaffolding, and boats is silent in this update because all three are controlled by the same sound event in "sounds.json". There isn't one sound that can work for all of them, so it's best not to play a sound at all.
-Vex items can't be fully posed like Java Edition because they work differently than normal items. Currently, only perpendicular items like weapons and bones match Java Edition. Vex also don't have an offhand on Bedrock Edition, so that item cannot be posed correctly either.
-Channeling trident lightning sounds can't be added because they're currently bugged. Instead of using the "trident.thunder" sound from "sounds.json", Bedrock Edition uses the default thunder sound for channeling lightning.

============================

Changes in the Synthesis Update (4.5.0)
Released August 27, 2020

Lines that begin with * are features unique to Java Aspects.

==Universal==

Textures:
-Locked maps now use the default map texture like Java Edition
-Added multiple texture features from Fixed Vanilla 1.7.0 that match Java Edition (Thanks, @LateLagMC!)
  -Banners no longer show the snout pattern when highlighted
  -Cold striders now use the texture from Java Edition
  -Phantoms no longer have two extra visible pixels while invisible
-Updated held end portal and gateway textures to match the block shape
-*Removed jigsaw block textures as Bedrock Edition changed to match Java Edition

Entities:
-*Added all piglin changes to piglin brutes
-Changed zombie villager models to match Java Edition
-Added multiple entity features from Fixed Vanilla 1.7.0 that match Java Edition (Thanks, @LateLagMC!)
  -The humanoid punching animation is now smoother and changes relative to the vertical direction the entity is facing
  -Shulkers are now the size of a full block
  -*Striders now use separate textures on each leg
  -Pillagers and vindicators no longer render worn armor
  -*Piglin tusks are no longer disconnected
  -*Piglin outer clothes layers are now the correct size
  -*Piglins no longer detach their heads while celebrating
  -Flopping tropical fish now rotate at a rate consistent with other fish
-*Firework rockets are now 2D like Java Edition
-*Piglins now lower their hands and punch if they aren't holding a tool like Java Edition
-*Vex now hold their arms in front of them if they aren't holding an item like Java Edition
-Vex now hold their arms straight down at their sides when holding items like Java Edition
-Players no longer blink to match Java Edition

Particles:
-Chests and ender chests now make oak planks and obsidian particles respectively like Java Edition
-Entities no longer produce gray bubbles when bobbing on top of a bubble column (Thanks, @LateLagMC!)

Interface:
-Added multiple features from Lukas' Java Parity Pack (Thanks, @LukasPAH!)
  -Locked trades can now be highlighted to see enchantments
  -Selected item counts in the inventory are now white instead of yellow and positioned differently
  -Shift-clicked items no longer fly across the inventory
  -Chests now appear 3D in the inventory (Thanks in part to @melamed_tal!)
  -*Items no longer pulse in the hotbar when their state is changed
  -*Additional text under item names in HUD text tooltips is no longer shown
  -*Coordinate text color, shadow, and background now match Java Edition
  -*Description text of fireworks, potions, and banners is now colored like Java Edition
  -*Chat messages are no longer censored
  -Removed category text on items (Thanks in part to @KalmeMarq!)
-Blocks that emit light are now shaded in inventories like Java Edition
-*The default boss bar color is now white (Thanks, @CrisXolt!)

Sounds:
-*Kelp and seagrass now use wet grass sounds from Java Edition
-Vines now use grass sounds like Java Edition
-Piston extending sounds are now higher pitched than contracting sounds like Java Edition
-*Removed crimson/warped planks use wood sounds change as Bedrock Edition changed to match Java Edition
-*Removed zoglin and equip netherite armor sound files as they were officially added to Bedrock Edition

Language:
-*Clay is now "Clay Ball"
-*Clay Block is now "Clay"
-*Spawn Piglin Brute is now "Piglin Brute Spawn Egg"
-*Position: [X], [Y], [Z] is now "Block: [X] [Y] [Z]" like Java Edition
-*Changed "Advance in-game time" to "Advance time of day" like Java Edition
-*Changed "Lock in-game time to noon" to "Lock time of day to noon" to match the previous change

==Default==

Textures:
-*Removed diamond sword, diamond axe, diamond shovel, wooden, golden, and diamond pickaxe, and wooden, golden, and diamond hoe textures as Bedrock Edition changed to match Java Edition
-*Removed diamond helmet, leggings, and boots item textures as Bedrock Edition changed to match Java Edition

==Fixes==

Textures:
-*Water now has the correct transparency and view distance in swamps, rivers, beaches, and oceans
-Banner pattern transparency is now correct across all patterns (Thanks, @LateLagMC!)
-*Tweaked the default water color

Entities:
-*Piglins once again move their arms and legs
-Zombies and piglins once again hold their right arms at the correct angle
-*Piglins with netherite helmets now show the correct helmet texture
-Piglin held item position is now correct
-Baby zombified piglin swords are now positioned correctly
-*Zombified piglins now bob their ears like other piglins
-Removed outdated "v1.0" entity files as they may cause issues

Particles:
-Critical hit particles now move at the correct speed

Interface:
-*Rainbow jukebox text colors are now closer to Java Edition (Thanks, @CrisXolt!)
-*The ender dragon bar is now visible when using Dansk (DA) or Français (France)
-*The ender dragon bar is now pink when using the Čeština language
-The pocket inventory tab icons are now shaded correctly

Sounds:
-*New Nether music can once again play
-Cave spider, ender dragon, mooshroom, polar bear, and skeleton horse sounds now play correctly
-*The sweep attack sound can no longer play without commands as its implementation did not match Java Edition

Technical:
-Optimized and alphabetized "blocks.json" and "sounds.json"

==Pack==

Technical:
-Piglin brute spawn eggs now use a direct texture instead of a template
-Added an offhand slot texture for the HUD screen for future versions of Java Aspects
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 4.5.0

Pack Documents:
-Added a new pack icon to replace the old one (Thanks, @TresAbhi_!)
-Changed the Java Edition version this pack tries to match from 1.16.0 to 1.16.2 in the Feature List
-Updated the custom tab with the latest Changelog and Credits
-Updated the Credits and Feature List to be correct with this version

==Notes==

-Category text is still visible on the 1.16.100 beta. This is related to a bug that ignores the item files in resource packs.
-*Renaming the Wither will cause its boss bar to be white instead of purple. This is an unfortunate side effect of the way Java Aspects makes unique boss bars.
-*Replacing piglin items with commands commonly results in game crashes. This is not the fault of the pack as the same crashes occur without it.
-*Vines on Java Edition have a climbing sound which is not on Bedrock Edition. Though this sound is added for commands with Java Aspects, it is impossible to assign it to vines without replacing the default grass sound.
-*The vine climbing sound used by default in 1.16.2 on Bedrock Edition does not match Java Edition, though it sounds very similar.
-*The new nether wart plant sounds on Bedrock Edition do not match Java Edition. This cannot be corrected by the pack.
-Enderman eyes from Java Edition haven't been added because the eyes change color depending on the light level on Java Edition, which cannot be recreated on Bedrock Edition.
-Bubble particles that appear while splashing in water on Java Edition cannot be added to Bedrock Edition as you are unable to map multiple particles with different movement paths to the same particle event.
-If endermen are still bugged, please message me on Twitter. I attempted to fix it in this update.

============================

Changes in the Animation Update (4.4.0)
Released June 23, 2020

Lines that begin with * are features unique to Java Aspects.

==Universal==

Textures:
-Added the block breaking animation from Java Edition
-*Bed textures now look 3D in inventory (Thanks, @DPlayz18!)
-*Updated the zombified piglin texture to match Java Edition
-Added all spawn egg textures from Java Edition
-*Removed nether sprouts, chiseled nether bricks, smooth quartz, quartz bricks, crimson door, and warped door textures as Bedrock Edition changed to match Java Edition
-*Removed main menu panorama as Bedrock Edition changed to match Java Edition

Entities:
-*Iron golems now crack as they take damage (Thanks, @netongas_ng!)
-*Added the drowned swimming animation from Java Edition (Thanks, @ZouChenyunfei!)
-Changed drowned arm spacing to match Java Edition
-Skeletons now draw their bows at enemies (Thanks, @netongas_ng!)
-*Zombified piglins now use zombie attack animations like Java Edition
-*Piglins now raise their right arm while chasing a target
-*Piglin ears now bob up and down (Thanks, @netongas_ng!)
-Held item position and size are now correct for all humanoid and skeletal mobs (Thanks in part to @netongas_ng!)
-*Updated the baby hoglin model to match the latest version of Java Edition
-*Made various changes to pufferfish to match Java Edition
  -The tail fin no longer moves from side to side
  -The right and left fins now move up and down
  -The pufferfish bobs up and down in the water
-*Changed fish flopping to be like Java Edition
-Made various changes to witches to match Java Edition
  -Changed witch hat and wart position (Thanks, LugiaGamerYT!)
  -Changed witch nose positioning while drinking a potion (Thanks, LugiaGamerYT!)
  -Changed witch nose bobbing frequency, position, and rotation
-*Bee antennae now bob separately from the body like Java Edition
-*Bees are now slightly lower
-*Piglin helmets no longer z-fight with their heads
-Changed the fishing rod position to match Java Edition
-Added the idle arm animation from Java Edition (Thanks, @netongas_ng!)
-Adjusted the default zombie arm angle to be closer to Java Edition
-Adjusted empty hand position in first person to be closer to Java Edition (Thanks, @LateLagMC!)
-Adjusted vertical held item position to be closer to Java Edition (Thanks, @ErodedPotato!)
-*Removed unique piglin helmets as Java Edition changed to match Bedrock Edition

Particles:
-Changed portal reverse, obsidian tear, and soul particles to use Java Edition rotation rules

Interface:
-*The boss bar now uses different textures depending on the situation to match Java Edition (Thanks, @CrisXolt!)
-Removed the HUD text background and added text shadows like Java Edition
-*Jukebox text is now rainbow like Java Edition (Thanks, @CrisXolt!)
-*Lowered the hotbar and the survival item text to match Java Edition

Sounds:
-*Coral blocks now use coral sounds (Thanks, @netongas_ng!)
-*Changed item pickup sounds and muted item drop sounds to match Java Edition
-*Added hoglin converted to zoglin sounds for commands only
  -Play them using "/playsound entity.hoglin.converted_to_zombified @s"
-*Nether ambience no longer varies in pitch or volume
-Changed glass breaking sound pitch to match Java Edition
-*Removed the "music.nether" sound event as it was removed in 1.16
-*Removed underwater and Nether music files as they were officially added to Bedrock Edition
-Removed cave sounds as they were officially added to Bedrock Edition
-*Removed a large number of block and entity sound files as they were officially added to Bedrock Edition

Language:
-*Syntax error command message now matches Java Edition (Thanks, @netongas_ng!)
-*Updated Mexican Spanish translations (Thanks, @netongas_ng!)
-*Added new splashes from 1.16
  -This parrot is no more! It has ceased to be!
  -Honey, I grew the bees!
  -Find your claw!
  -Everybody do the Leif!
  -<3 Max & 99 & Ducky!
  -Bushy eyebrows!
  -Edit is a name!
  -From free range developers!
  -Music by Lena Raine!
  -Aww man!
  -#minecraftfarms
  -And my pickaxe!
  -Envision! Create! Share!
  -Fabulous graphics!
  -Also try Minecraft Dungeons!
  -Vanilla!
  -May contain traces of citrus!
  -Zoglin!?
-*Removed certain splashes to match Java Edition
  -Undocumented!
  -Down with O.P.P.!
  -Lewd with two dudes with food!
  -Switches and ores!
  -Huge tracts of land!
  -Totally forgot about Dre!
  -Popping tags!
  -Getting ready to show!
  -Getting ready to know!
  -Getting ready to drop!
  -Getting ready to shock!
  -Getting ready to freak!
  -Getting ready to speak!
-*Splashes are no longer limited to coronavirus-related ones
-*Removed the Enchantment Cost, mushroom types, Zombified Piglin, Upgrade Gear, Crimson Trapdoor, and Snout banner pattern language changes as Bedrock Edition changed to match Java Edition

==Default==

Textures:
-*Removed nether bricks block texture as Bedrock Edition changed to match Java Edition

==Fixes==

Textures:
-Perfected carried leaf colors
-*Water colors are now correct across all biomes
-Soul fire no longer fades
-*Removed an unchanged librarian villager texture

Entities:
-Endermen are now even closer to their Java Edition height (Thanks, LugiaGamerYT!)
-*Baby zombified piglins' swords are no longer invisible
-*Piglin ear positions now match Java Edition
-*Updated the drowned models to work on the latest versions
-Corrected offhand item positions for vertical held items and horizontal held items
-Corrected crossbow positions in third person (Thanks, @netongas_ng!)

Particles:
-Lingering dragon breath particles are no longer invisible
-Optimized particles so they are not higher definition than necessary

Interface:
-Debug text is now correctly removed
-*Updated the smithing table screen (This fixes the Upgrade Gear line being cut off)

Sounds:
-*Nether music now has the correct biome distribution
-*Nether Wastes ambience no longer plays in other biomes
-*Coral and honeycomb blocks now have step and fall sounds
-*Fletching tables are now the same volume as other villager workstations

Language:
-*Armor is now "armour" in UK English

Technical:
-*Optimized bee animations

Pack Documents:
-*Corrected a typo in the basalt deltas ambience command in the previous changelog
-Merged @C0me_bucket and LugiaGamerYT credits entries as they are the same person
-*Added zoglin sounds to the previous changelog and Feature List as they were part of the update
-Added baby villager models to the Feature List as they are changed by Java Aspects

==Pack==

Technical:
-Removed all "load_on_low_memory" properties in "sound_definitions.json" as they were deprecated in 1.16
-*Added an empty warped forest sound like Java Edition
-Changed the way that skeletons raise their arms while targeting the player (Thanks, @netongas_ng!)
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 4.4.0

Pack Documents:
-Updated the Feature List to specify which sides of a block have been changed
-Changed the Java Edition version this pack tries to match from 20w18a to 1.16.0 in the Feature List
-Updated the custom tab with the latest Changelog and Credits
-Updated the Credits and Feature List to be correct with this version

==Notes==

-It is not possible to change llama carpet position to match Java Edition
-The most notable spawn egg change is the Enderman Spawn Egg

============================

Changes in the Piglins, Hoglins, Bees, and Zoglins Update (4.3.0)
Released May 5, 2020

Lines that begin with * are features unique to Java Aspects.

==Universal==

Textures:
-*Added warped door (Thanks, @netongas_ng!), quartz bricks, chiseled nether bricks, and weeping vines block textures from Java Edition
-*Added lodestone compass and netherite ingot, sword, axe, pickaxe, hoe, and boots item textures from Java Edition (Thanks, @netongas_ng!)
-*Phantom eyes now match Java Edition (Thanks, LugiaGamerYT!)
-*Added main menu panorama from Java Edition
-*Nether portal, respawn anchor, soul campfire flame, and sea lantern animations no longer fade to match Java Edition
-*Campfire and soul campfire logs now animate slower like Java Edition
-*Basalt Deltas fog and water colors now match Java Edition
-Crying obsidian no longer randomly rotates to match Java Edition
-*Carried barrels and cartography tables now match Java Edition
-Crimson and warped signs now have the correct command helpers
-*Removed panorama overlay like Java Edition
-*Removed stripped warped stem top texture as Bedrock Edition changed to match Java Edition

Entities:
-*Zombified Piglins now use their new models on non-beta versions (Thanks, @netongas_ng!)
-*Made various changes to bees to match Java Edition
  -Bees are now 10% larger
  -Bees no longer bob from side to side, and their vertical bobbing is slightly different
  -Bee legs now bob at different angles alongside the vertical bobbing
  -Bees now flap their wings 33% faster
  -Bee wings now line up with the body of the bee
-*Piglins and zombified piglins now hold their arms at their sides all the time like Java Edition (Thanks, @netongas_ng!)
-*Piglin helmets now use unique armor designs from Java Edition (Thanks, @netongas_ng!)
-Zombie villager helmets are now positioned on their heads correctly (Thanks, @netongas_ng!)
-*Ravagers now mirror their leg textures like Java Edition (Thanks, LugiaGamerYT!)
-Endermen are now the same height as Java Edition (Thanks, LugiaGamerYT!)
-Phantom wings now connect correctly (Thanks, LugiaGamerYT!)
-Vex no longer hold their swords like bows (Thanks, LugiaGamerYT!)
-Held item size now matches Java Edition (Thanks, @ZouChenyunfei!)
-Vertical held item position (such as bones and swords) now matches Java Edition (Thanks, @ErodedPotato!)
-Dropped items and experience orbs are now the same size as Java Edition (Thanks, @netongas_ng!)

Interface:
-*Changed the smithing table screen to match Java Edition

Sounds:
-*Added Chrysopoeia, Rubedo, and So Below from Java Edition
-*Changed Nether music so old and new music can both play like Java Edition (1.16+)
  -Play them with "/playsound music.nether.[basalt_deltas/crimson_forest/nether_wastes/soul_sand_valley]"
-*Added zoglin sounds from Java Edition
  -Play them with "/playsound entity.zoglin.[ambient/angry/attack/death/hurt/step] @s"
-*All Nether ambience sounds except the background loop can now play in-game without commands (1.16+)
-*Added coral sounds to coral and coral fans (1.16+)
-*Added nether brick sounds to chiseled and cracked nether bricks
-*Added nether gold ore sounds to gilded blackstone
-*Crimson and warped planks and all variants now use wood sounds instead of stem sounds
-All block sounds now have volumes and pitches consistent with Java Edition
-*Added enchanting sounds from Java Edition
  -They can be played with commands using "/playsound block.enchantment_table.use @s"
-*Added the ability for the villager working sounds to play in-game without commands (Thanks, @netongas_ng!)
-Added the zombie-converts-to-drowned sound (Thanks, @netongas_ng!)
-*Added basalt deltas ambience from Java Edition
  -It can be played with commands using "/playsound ambient.basalt_deltas.[additions/loop/mood] @s"
-*Added more sounds for commands only from Java Edition
  -Equip netherite armor (item.armor.equip_netherite) (Thanks, @netongas_ng!)
  -Hit bamboo sapling (block.bamboo_sapling.hit)
  -Chain (block.chain.[break/fall/hit/place/step])
  -Gilded blackstone (block.gilded_blackstone.[break/fall/hit/place/step])
  -Lodestone (block.lodestone.[break/fall/hit/place/step])
  -Lodestone compass (item.lodestone_compass.lock)
  -Nether gold ore (block.nether_gold_ore.[break/fall/hit/place/step])
-Removed the ability for water music to play when not in water as it can now be triggered only when underwater like Java Edition

Language:
-*Added more language changes from Java Edition
  -Glistering Melon is now "Glistering Melon Slice"
  -Bricks Slab is now "Brick Slab"
  -Stone Bricks Slab is now "Stone Brick Slab"
  -Crimson Trap Door is now "Crimson Trapdoor"
  -Pillar Quartz Block is now "Quartz Pillar"
  -Enchantment Table is now "Enchanting Table"
  -Beta! is now "Snapshot!"
  -Piglin banner pattern now says "Snout"
  -XP Cost is now "Enchantment Cost" (Thanks, @netongas_ng!)
  -Mobs remaining is now "Raiders remaining" (Thanks, @netongas_ng!)
  -Stone Mason is now "Mason" (Thanks, @netongas_ng!)
  -Save and Load in structure blocks are now "SAVE" and "LOAD" respectively (Thanks, @netongas_ng!)
  -Some thrown items such as ender pearls now have Thrown in their name like Java Edition (Thanks, @netongas_ng!)
  -Thrown lingering potions are now called "Potion"
  -Changed command guide messages to match Java Edition (Thanks, @netongas_ng!)
-*Game rules now use the names from Java Edition
-*Spawn Zoglin and Spawn Strider are now "Zoglin Spawn Egg" and "Strider Spawn Egg" respectively
-*Added Mexican Spanish (es_MX) translations from Java Edition (Thanks, @netongas_ng!)
  -This also includes item name colors
-*Limited splash texts to only show coronavirus-related ones

==Default==

Textures:
-Added spruce, birch, jungle, acacia, and dark oak sign textures from Java Edition (1.16+)

==Programmer Art==

Textures:
-*Added the Programmer Art crying obsidian texture from Java Edition

==Fixes==

Textures:
-*Corrected Crimson Forest and Soul Sand Valley fog
-*Water lines are now slightly more visible (Thanks, @ErodedPotato!)

Entities:
-*Hoglin and zoglin models are no longer broken (Thanks, @netongas_ng!)
-Crossbow and map animations in first person mode are now correct (Thanks, @ZouChenyunfei!)

Sounds:
-*Strip wood sounds will no longer play instead of wood placing sounds in certain situations
-Boats now use the new sound event name instead of the old one in "sounds.json"
-*Nether ambience sounds are now streamed to improve performance
-*Underwater ambience sounds now have volumes that match Java Edition
-*The sound event "block.honey_block.step" now works correctly
-*Coral and honey block sounds are now assigned to the "block" sound category
-*Removed leftover "dig.wet_grass" and "step.wet_grass" sounds

Technical:
-*The pack option changer now says "Textures" for US and UK English
-The Java Aspects settings tab now correctly has its own "$toggle_group_forced_index"
-The Programmer Art pack option no longer has a higher memory tier than the Default option
-Removed an extra space in "block_slide.json"

==Pack==

Technical:
-*Added unused files "iron_golem.entity.json" and "iron_golem.render_controllers.json" which will cause iron golems to visibly crack as they take damage in versions higher than 1.16 (Thanks, @netongas_ng!)
  -This feature is currently unused because it only works on beta versions. Uncomment the files to enable the feature.
-*Fletching table sounds can now be played with "block.fletching_table.use"
-Zoglin and Strider spawn eggs now use a direct texture instead of a template
-*Changed "music_definitions.json" to use the "music.under_water" sound event instead of "music.game.water"
-Overhauled the block sounds in "sounds.json" to match the newest format
-*Changed the way jumping sounds are muted
-Removed all unchanged sound events from "sound_definitions.json"
-Optimized all menu code to improve compatibility with other packs (This allows multiple custom in-game settings tabs to appear at once)
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 4.3.0

Pack Documents:
-Pack option names no longer include the version number
-Added a Command Functionality Policy to the Command List to explain that sound functionality will not be removed in future updates
-Removed sounds from the Command List that are only part of Java Aspects and not Java Edition
-Changed the sorting of the Changelog for large updates to be more readable
-Changed the Java Edition version this pack tries to match from 20w12a to 20w18a in the Feature List
-Updated the custom tab with the latest Changelog and Credits
-Updated the Credits and Feature List to be correct with this version

==Notes==

-*Gilded blackstone and Nether gold ore sounds are the same as Nether ore sounds. Lodestone block sounds are the same as stone sounds except for the place sound, which is unique.
-*Stone and bedrock random rotation from Java Edition cannot be added because they have special rules that Bedrock Edition does not support.
-The fix related to crossbow and map animations does not change them to match Java Edition, it simply fixes them from the way they were in previous versions of Java Aspects.

============================

Changes in the Plus Update (4.2.2)
Released March 26, 2020

Universal:
-Added underwater music from Java Edition
  -It will play in Survival or Creative Mode
  -Not limited to only playing underwater
  -Play it using "/playsound music.under_water @s"
-Changed command messages to match Java Edition (Thanks, @netongas_ng!)

Fixes:
-Corrected the Hoglin model's head offset
-Removed a redundant grass top texture

Pack:
-Split Java Aspects into Java Aspects and Java Aspects+
  -Normal Java Aspects has had all its commands only sounds and ambient sounds removed for size constraints
  -Java Aspects+ has all the sounds added in previous updates and the water music
-Updated the custom tab with the latest Changelog and Credits
-Updated the Feature List to be correct with this version
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 4.2.2

============================

Changes in the Drowned Update (4.2.1)
Released March 20, 2020

Universal:
-Added the ability for the thorns enchantment sound to play in-game without commands (Thanks, @netongas_ng!)

Fixes:
-Drowned are no longer invisible
-Beta players now see the correct Drowned model
-Skeletons no longer swing their left legs while standing still

Pack:
-Updated the Feature List to be correct with this version
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 4.2.1

============================

Changes in the Excessive Update (4.2.0)
Released March 20, 2020

Lines that begin with * are features unique to Java Aspects.

Universal:
-The empty hand's position in first person view now matches Java Edition (Thanks, @LateLagMC!)
-The arm swinging animation in third person view now matches Java Edition (Thanks, @ErodedPotato!)
-*The crouching animation is now lower like Java Edition (Thanks, @netongas_ng!)
-Skeletons, strays, and wither skeletons now hold their arms at their sides while idle (Thanks, @netongas_ng!)
-Added parity changes from Fixed Vanilla 1.4.0 and 1.5.0 that match Java Edition (Thanks, @LateLagMC!)
  -*Drowned model's arms and legs are slimmer
  -Dried kelp block bottom textures line up with the sides
  -The wolf tail is now connected to the wolf when it's sitting
  -Banner pattern transparency is white instead of black (the gradient pattern is affected the most by this change)
  -Per Bend banner pattens match Java Edition
  -Corrected various command helper block previews
    -Lit furnace, blast furnace, and smoker
    -Standing and wall signs
    -Tripwire
    -Bamboo sapling
    -Powered and unpowered repeater and comparator
    -Lava cauldron
  -Bee nests and hives play wood sounds
  -Bee spawn eggs always use the correct texture
-The fishing hook is now 2D like Java Edition (Thanks, @ZouChenyunfei!)
-*Added crimson stem top, warped stem top, stripped warped stem top, and crimson door textures from Java Edition
-*Added the Piglin, Zombified Piglin, and Hoglin spawn eggs from Java Edition
-*Changed the hoglin model to match Java Edition
-Wither armor is now black and white like Java Edition
-Ghasts that are shooting fireballs now look like Java Edition
-*The Ominous Banner now matches Java Edition
-Carried grass blocks now match Java Edition
-*Structure voids now use the textures from Java Edition
-Soul fire animations no longer fade like Java Edition
-*Soul fire lanterns now animate like Java Edition
-*Crimson and warped stems now animate faster to match Java Edition
-Fog colors now match Java Edition (1.16+)
-End sky now matches Java Edition (1.16+)
-Added features from the MultiPixel Texture Pack that match Java Edition (Thanks, @ZouChenyunfei!)
  -Zombies now swing their arms downward while attacking
  -*Creeper exploding animation is now semitransparent
  -Wither armor is now slimmer
  -Villager legs now animate at a slower speed
  -Walking and breaking particles are now darker
  -Splash potions of healing and harming now use X particles instead of bubbles
  -Ender Dragon death particles are larger and have less smoke
-Blue flame particles no longer rotate to face the camera
-Nylium no longer randomly rotates to match Java Edition
-*Added Nether ambience sounds from Java Edition (Thanks in part to @netongas_ng!)
-*Added piglin sounds from Java Edition (Thanks, @netongas_ng!)
  -They can be played using "/playsound entity.piglin.[admiring_item/ambient/angry/celebrate/converted_to_zombified/death/hurt/jealous/retreat/step]"
-*Added hoglin sounds from Java Edition (Thanks, @netongas_ng!)
  -They can be played using "/playsound entity.hoglin.[ambient/angry/attack/death/hurt/retreat/step]"
-*Added blast furnace and smoker sounds from Java Edition (Thanks in part to @netongas_ng!)
  -They can be played using "/playsound block.blastfurnace.fire_crackle @s" or "/playsound block.smoker.smoke @s"
-*Added cauldron dye sounds from Java Edition (Thanks in part to @netongas_ng!)
  -They can be played using "/playsound entity.villager.work_leatherworker @s"
-*Zombie Pigman is now "Zombified Piglin"
-*Spawn Piglin and Spawn Hoglin are now "Piglin Spawn Egg" and "Hoglin Spawn Egg" respectively
-*Changed all bed messages to match Java Edition
-*Chief Fess and Base Fess banner patterns are now "Chief" and "Base" respectively to match Java Edition
-Added damage indicator (dark heart) particles from Java Edition for commands only (Thanks, @netongas_ng!)
  -Use it in-game with "/particle minecraft:damage_indicator ~ ~1 ~"
-Added a multitude of sounds from Java Edition for commands only (Thanks, @netongas_ng!)
  -Play them using "/playsound [sound in parentheses below] @s"
  -*Nether ambience (ambient.[crimson_forest/nether_wastes/soul_sand_valley/warped_forest].[additions/loop/mood])
  -*Equip turtle shell (item.armor.equip_turtle)
  -*Ancient debris (block.ancient_debris.[break/fall/hit/place/step])
  -*Basalt (block.basalt.[break/fall/hit/place/step])
  -*Bone block (block.bone_block.[break/fall/hit/place/step])
  -*Fungus (block.fungus.[break/fall/hit/place/step])
  -*Nether bricks (block.nether_bricks.[break/fall/hit/place/step])
  -*Nether ores (block.nether_ore.[break/fall/hit/place/step])
  -*Nether sprouts (block.nether_sprouts.[break/fall/hit/place/step])
  -*Nether wart blocks (block.wart_block.[break/fall/hit/place/step])
  -*Netherite Block (block.netherite_block.[break/fall/hit/place/step])
  -*Netherrack (block.netherrack.[break/fall/hit/place/step])
  -*Nylium (block.nylium.[break/fall/hit/place/step])
  -*Respawn anchor (block.respawn_anchor.[ambient/charge/deplete/set_spawn])
  -*Roots/Weeping vines (block.[roots/weeping_vines].[break/fall/hit/place/step])
  -*Shroomlight (block.shroomlight.[break/fall/hit/place/step])
  -*Soul sand (block.soul_sand.[break/fall/hit/place/step])
  -*Soul soil (block.soul_soil.[break/fall/hit/place/step])
  -*Stems (block.stem.[break/fall/hit/place/step])
  -*Vines (block.vine.step)
  -Fence gate (block.fence_gate.[open/close])
  -Fishing rod (entity.fishing_bobber.[retrieve/throw])
  -Iron door (block.iron_door.[open/close])
  -Iron trapdoor (block.iron_trapdoor.[open/close])
  -Wooden trapdoor (block.wooden_trapdoor.[open/close])
  -*Carve pumpkin (block.pumpkin.carve)
  -Thorns enchantment (enchant.thorns.hit)
  -Painting (entity.painting.[place/break])
  -Ender eye (entity.ender_eye.[death/launch])
  -Husk (entity.husk.converted_to_zombie)
  -Iron golem (entity.iron_golem.[damage/repair])
  -Pufferfish (entity.puffer_fish.[blow_out/blow_up/sting])
  -Rabbit (entity.rabbit.attack)
  -Skeleton horse (entity.skeleton_horse.[ambient_water/gallop_water])
  -Squid (entity.squid.squirt)
  -Zombie (entity.zombie.[infect/attack_iron_door])
  -Place lily pad (block.lily_pad.place)
  -*Strip log (item.axe.strip)
  -Till dirt (item.hoe.till)
  -Flatten grass into path (item.shovel.flatten)
  -*Use smithing table (block.smithing_table.use)
  -*Heavy splash (entity.player.splash.high_speed)
  -*Fletcher villager works at fletching table (entity.villager.work_fletcher)
  -*Toolsmith villager works at smithing table (entity.villager.work_toolsmith)
-*Added a command trigger for the unused breath sound from Java Edition
  -It can be played using "/playsound entity.player.breath @s"
-Changed all sound command triggers to match Java Edition
-*Added coronavirus-related splash texts from Java Edition
  -Wash your hands!
  -Soap and water!
  -Support local businesses!
  -Stay home and play games!
  -Stay safe!
  -Stay strong!
  -Cough or sneeze into your elbow!
  -Don’t touch your face!
  -Support elderly relatives and friends!
  -Prepare, but don’t hoard!
  -Gamers unite – separately in your own homes!
  -Save the world – stay inside!
  -Shop for your elders!
  -Hang out with your friends online!
-Removed fire textures left over from the PC GUI Pack as Bedrock Edition now matches Java Edition
-Removed ender chest, damage, hitting, digging, fire, lava, minecart, portal, anvil, bow, drink, eat, experience orb, item pickup, piston, and a few other sounds left over from the PC GUI Pack as Bedrock Edition now matches Java Edition

Default:
-*Added nether wart block and purpur pillar top block textures from Java Edition
-*Added diamond sword, diamond axe, diamond shovel, wooden, golden, and diamond pickaxe, and wooden, golden, and diamond hoe textures from Java Edition
-*Added diamond helmet, leggings, and boots item textures from Java Edition
-Added bed leg textures from Java Edition (Thanks, @LateLagMC!)
-Updated equipment tab texture with the new diamond sword texture

Fixes:
-Zombified Piglins no longer incorrectly use their old models (1.16+)
-*Fog is now the correct color in the Nether and End (1.16+)
-Blue flame particles now appear (1.16+)
-*Default: Carried grass is no longer missing a pixel
-Bell and player attack sounds now correctly have categories assigned to them
-Corrected inconsistent spacing in "manifest.json" and the animation files

Pack:
-Removed "block_destruct_unused.json" as its issues were fixed and implemented into Java Aspects
-Updated the "blocks.json" version to 1.1.0
-Updated "sound_definitions.json" to the 1.14.0 format
-Pillager spawn eggs now use a direct texture instead of a template
-Split the Changelog in the custom tab into subsections so it will be easier to adjust entries afterward
-Added a particles section to the Command List
-Commands in the Changelog now have quotations around them
-Retroactively updated the Changelog to use the command triggers from this update
-Updated Dharen's name and Twitter handle
-Update titles in the Changelog no longer have "the" capitalized
-Update release dates in the Changelog no longer use "th", "st", "nd", or "rd" after the day
-Changed the Java Edition version this pack tries to match from 1.15.1 to 20w12a in the Feature List
-Updated the custom tab with the latest Changelog and Credits
-Updated the Credits and Feature List to be correct with this version
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 4.2.0

Notes:
-The 2D fishing hook feature works best on 1.16+. Below 1.16, it will not rotate to face the camera.
-The fix that allows Zombified Piglins to use their new models has the side effect of causing Zombified Piglins to not raise their arms while chasing you. There is no workaround available at this time.
-*Nether ambient sounds work the same way as cave sounds. They play as music, so your music must be on in order to hear them.
-*Nether ambient sounds that play in-game only use Nether Wastes sounds. Commands must be used to play sounds from other biomes.

============================

Changes in the Feedback Update (4.1.0)
Released January 8, 2020

Universal:
-Removed the enchanted item glint change due to user feedback
-Added the stripped spruce and dark oak log textures from Java Edition (Thanks, @LateLagMC!)
-Smoker animation is now faster and no longer fades to match Java Edition
-Drowned zombies no longer glow like Java Edition
-Zombies, husks, zombie pigmen, and zombie villagers now raise their arms while chasing a target (Thanks, @netongas_ng!)
-Explosion sounds now match Java Edition (Thanks, @cjnator38!)
-Bell hitting sounds now match Java Edition
-Particles no longer turn to face the camera like Java Edition (Thanks, @LateLagMC!)
-Added a number of particle changes from the Java Edition Particles pack (Thanks, @ZouChenyunfei!)
  -Campfire smoke is semitransparent
  -Critical attack particles will sometimes have darker shading
-Hotbar item counts can now be seen in Creative Mode like Java Edition
-Added critical hit and knockback sounds for commands only (Thanks in part to @netongas_ng!)
  -They can be played using "/playsound entity.player.attack.[crit/knockback] @s"
-Added player burning sounds from Java Edition for commands only (Thanks, @netongas_ng!)
  -They can be played using "/playsound entity.player.hurt_on_fire @s"
-Boat sounds are no longer set to 9.9 volume
-Mobile tabs now use 3D renders for the crafting and inventory
-Removed background panorama as the default now matches Java Edition

Default:
-Added cactus side texture from Java Editon (Thanks, @LateLagMC!)
-Mobile tabs now use Default textures

Fixes:
-Red sandstone stairs no longer use the incorrect textures
-Default: Carried leaves now fully match Java Edition (Thanks in part to @LateLagMC!)
-Click sounds are now the correct volume
-Click sounds are now always loaded on low memory
-The Subscriptions settings tab is no longer missing
-The line in the Credits for @netongas_ng now uses correct grammar
-The line in the Credits for the PC GUI Pack creators now has the correct Twitter handle for @CrisXolt
-Corrected inconsistent spacing in "settings_screen.json" and "java_aspects_section.json"

Pack:
-Boats now load "paddle_water1" on low memory instead of "paddle_water3"
-Added an unused version of "block_destruct.json" that adds a few extra particle features but causes bugs such as leaves making no particles and grass making blue particles
-Added a Command List text document in the resource pack folder that lists every extra sound that can be played with commands while Java Aspects is enabled
-Changed the Java Edition version this pack tries to match from 1.15.0 to 1.15.1 in the Feature List
-Subpacks are more consistently referred to as "pack options" in text documents
-Updated the custom tab with the latest Changelog and Credits
-Updated the Credits and Feature List to be correct with this version
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 4.1.0

Notes:
-Horse size cannot be changed to match Java Edition because it's hard-coded into the game

============================

Changes in the New and Old Update (4.0.0)
Released November 20, 2019

Universal:
-Added a large number of parity changes from the Fixed Vanilla resource pack (Thanks, @LateLagMC!)
  -Item frame breaking particles
  -Pillager texture
  -Chiseled and cut red sandstone bottom textures
  -Save and load structure block textures
  -Cat model
  -Ocelot model
  -Old villager model (before Village and Pillage, appears in Marketplace maps)
  -Pillager size
-Adjusted water coloring to more closely match Java Edition
-Underwater view distance is now 80 instead of 100 to more closely match Java Edition
-Melon block bottoms now use the correct texture
-Added the player drowning sound to match Java Edition (Thanks, @ErodedPotato!)
  -The sound can be played with commands using "/playsound entity.player.hurt_drown @s"
-The player throwing sound pitch now matches Java Edition
-Added the sweep attack sound from Java Edition
  -It has a 1/6 chance of playing instead of the strong attack sound
  -The sound can be played with commands using "/playsound entity.player.attack.sweep @s"
-Added pufferfish sounds from Java Edition (Thanks, @netongas_ng!)
-Added potion filling and emptying sounds for cauldrons from Java Edition (Thanks, @netongas_ng!)
-Drowned, skeletons, strays, ghasts, pillagers, and the Ender Dragon now have the correct shooting sound (Thanks, @netongas_ng!)
-Added boat sounds from Java Edition (Thanks, @netongas_ng!)
  -Currently, boat sounds don't play at all on land and only play very quietly in water. This is a game bug, not a pack bug.
-Ender dragon fireballs, wither spawning, and end portal sounds now have a "min_distance" of 100 blocks (Thanks, @netongas_ng!)
-Added a large number of block sounds from Java Edition
  -Currently, none of them play in-game. They're set up to, but the game doesn't apply the correct sound to the blocks.
  -Added honey block sounds from Java Edition
    -The sounds can be played with commands using "/playsound block.honey_block.[break/fall/hit/place/slide/step] @s"
  -Assigned the coral block sounds to honeycomb blocks to match Java Edition
  -Added the crop breaking and placing sounds from Java Edition
    -The sounds can be played with commands using either "/playsound item.crop.plant @s" for the placing, or "/playsound block.crop.break @s" for the breaking
  -Added the nether wart breaking and placing sounds from Java Edition
    -The sounds can be played with commands using either "/playsound item.nether_wart.plant @s" for the placing, or "/playsound block.nether_wart.break @s" for the breaking
-The lava placeholder once again uses the lava texture from Java Edition
-The enchantment glint now uses the pattern from Java Edition
-Level I enchantments no longer have a I at the end of their name like Java Edition
-The hotbar is now centered under the experience bar
-Hotbar slots now have the same transparency as Java Edition
-Highlighted inventory slots are no longer outlined
-Spawn Bee is now "Bee Spawn Egg"
-Mob Spawn Eggs is now "Spawn Eggs"
-The message that says "You can only sleep at night" now says "You can sleep only at night or during thunderstorms" to match Java Edition
-Added "Ping the human!" splash from Java Edition
-The main menu panorama now matches Java Edition
-Added the panorama overlay to match Java Edition

Default:
-Added the dragon fireball texture from Java Edition
-Added a number of Default-specific parity changes from the Fixed Vanilla resource pack (Thanks, @LateLagMC!)
  -Iron ore texture
  -Piston and sticky piston textures
  -Vindicator texture
  -Old villager textures (before Village and Pillage, appears in Marketplace maps)
  -Old zombie villager textures (before Village and Pillage, appears in Marketplace maps)

Programmer Art:
-Added the Programmer Art shield texture from Java Edition
-Added the Programmer Art cat textures from Java Edition (including tamed variants)
-Added the lava texture from Java Edition as the Classic Texture Pack doesn't include it
-Added the smithing table top texture from Java Edition as the Classic Texture Pack has the wrong one (Thanks, @LateLagMC!)
-Moved the horn and brain coral textures from the Universal subpack to the Programmer Art subpack as the Classic Texture Pack doesn't include them but the default game now does

Fixes:
-Water no longer has a rough transition between transparent and opaque when viewed from a distance
-The lava animation now plays at the correct speed for beta players (Release players still see incorrect speeds. This is a game bug, not a pack bug.)
-Ghasts are no longer silent
-Wither Skeleton sounds now play correctly
-Loading bars are no longer missing segments
-Removed unnecessary code in "debug_screen.json"
-Removed the now-obsolete "experience_bar_textures.json" and "hotbar_textures.json" and the associated filepaths in "_ui_defs.json"
-Corrected inconsistent spacing in "sounds.json"

Pack:
-Updated to pack format 2
-Updated the minimum game version required to use the pack to 1.13.0, which means this pack is no longer compatible with earlier versions
-The custom settings tab's icon now matches the style of the Global Resources tab's icon
-The experience bar now uses textures directly from the game files, meaning custom experience bar textures are no longer needed
  -If you still want to use custom experience bar textures the old way, follow instructions listed in the "hud_screen.json" file
-Coral, seagrass, and kelp have been assigned the custom block sounds in "blocks.json" now, so if support for custom block sounds is added, they will play the sounds from Java Edition
-Added all Fixed Vanilla credits under the PC GUI Pack section in the Credits text document
-Reworded the PC GUI Pack credits to line up with the Fixed Vanilla credits
-Updated CrisXolt's name and Twitter handle
-Updated HawfHuman's name in the Credits
-Removed SirZeus' Twitter handle from the Credits as the account no longer exists
-Reordered entries in the Feature List so they are ordered by significance within each category
-Added the warning on top of all the JSON files
-The custom tab's three sections are now separated in the code
-Updated the custom tab with the latest Changelog
-Changed the Java Edition version this pack tries to match from 1.14.4 to 1.15.0 in the Feature List
-Updated the Feature List to be correct with this version
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 4.0.0

Notes:
-The change related to the enchanted item glint does not make it look smooth. Another resource pack called "Smooth Enchantment Glow" by @ErodedPotato does that.
-The reason that a smooth enchantment glint will not be added to Java Aspects is that it can cause lots of lag due to the high-resolution textures required to make the glint smooth.

============================

Changes in the In-Line Update (3.2.1)
Released July 9, 2019

Universal:
-Removed seagrass block texture changes as the default now matches Java Edition (Seagrass item still doesn't match)
-Removed lava textures as the default now matches Java Edition
-Removed Wandering Trader, Zombie Villager, Ghast, and Ravager sounds as the default now matches Java Edition
-Removed Witch, Zombie, Magma Cube, and Villager sounds left over from the PC GUI Pack

Default:
-Re-added the Equipment tab's texture
-Removed Tamed Tuxedo Cat texture change as the default now matches Java Edition

Fixes:
-Certain Settings tabs are no longer missing
-The air punch sound is now correctly muted

Pack:
-Changed the pack icon to reflect changes the pack actually makes
-Changed the subpack folder names to better reflect which textures are used in each
-Updated the "_ui_defs.json" file to include all the new menus
-Added a Credits Policy at the end of the Credits document to explain how removed pack features will be handled
-Updated the Credits document to match removed features
-Removed an unnecessary note at the top of the Credits document
-Removed the Future Features document
-Cleaned up parts of previous Changelogs
-Updated the custom tab with the latest Changelog
-Changed the Java Edition version this pack tries to match from 1.14.1 to 1.14.4 in the Feature List
-Updated the Feature List to be correct with this version
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 3.2.1

============================

Changes in the Ominous Update (3.2.0)
Released May 15, 2019

Universal:
-The Illager Banner is now named the Ominous Banner to match Java Edition
-The Ominous Banner's name is now gold to match Java Edition
-Landing sounds are no longer muted
-Added ghast sounds from Java Edition
-Raised the pitch limit for ghast sounds
-Removed smithing table changes as the default matches Java Edition now
-Spawn Fox is now "Fox Spawn Egg"
-Added new splashes from 1.14.1
  -Awesome game design right there!
  -Ph1lza had a good run!
  -10 years of Mining and Crafting!

Default:
-Sheared sheep now match Java Edition
-Updated crafting table texture
-Removed all block textures except carried and opaque leaves, carried plants, quartz block, nether bricks, crafting table, and the old stonecutter retexture
-Removed all item textures except filled maps, command block minecart, potions, and tipped arrows
-Removed all entity textures except sheep and tamed tuxedo cat

Programmer Art:
-Opaque leaves now match Java Edition

Fixes:
-The custom settings tab will no longer display the incorrect pack icon
-Removed unnecessary comments in "settings_screen.json"

Pack:
-Removed outdated Illager Beast entries as it's been officially renamed to Ravager
-Changed the Java Edition version this pack tries to match from 1.14.0 to 1.14.1 in the Feature List
-Updated the "_ui_defs.json" file to include all the new menus
-Improved custom tab code so it's much easier to make, extend, or replace Changelogs
-Updated the custom tab with the latest Changelog
-Updated the Feature List to be correct with this version
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 3.2.0

============================

Changes in Texture Update #5 (3.1.5)
Released April 14, 2019

Universal:
-Podzol and Mycelium tops and bottoms now randomly rotate to match Java Edition
-Removed grindstone texture changes as they're now in the game by default
-Removed infested block name changes as they're now in the game by default
-Removed log block name changes as they're now in the game by default
-Added new splashes from 1.14:
  -Rainbow turtle?
  -Something funny!
  -I need more context.
  -Ahhhhhh!
  -Don't worry, be happy!
  -Water bottle!
  -What's the question?
  -Plant a tree!
  -Go to the dentist!
  -What do you expect?
  -Look mum, I'm in a splash!
  -It came from space.
-Removed certain splashes to match Java Edition:
  -Hobo humping slobo babe!
  -Made by Notch!
  -The Work of Notch!
  -110813!
-Updated main menu panorama

Default:
-Updated all quartz and red nether brick block textures
-Updated leather horse armor item texture
-Updated empty saddle slot texture
-Updated dragon fireball texture
-Added Hero of the Village status effect texture
-Updated all status effect textures
-Removed status effect icons not used in Bedrock Edition

Fixes:
-Default: Leather armor and firework stars no longer have invisible parts when held in hand
-Default: The Ender Dragon head no longer has transparent eyes

Pack:
-All indented lines in the Changelog now begin with two spaces instead of one
-Removed old Changelogs from the language files
-Updated the custom tab with the latest Changelog
-Updated the Feature List to be correct with this version
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 3.1.5

Notes:
-The Programmer Art subpack is staying as players may want to use old Java Edition textures with the Classic Textures resource pack from the Marketplace.
-The "<PLAYERNAME> IS YOU!" splash text cannot be added by Java Aspects because Bedrock Edition does not support the <PLAYERNAME> placeholder in splashes.

============================

Changes in Texture Update #4 (3.1.4)
Released March 16, 2019

Universal:
-Normal quartz blocks now use the non-smooth texture on the bottom to match Java Edition

Default:
-Updated oak door and phantom membrane item textures
-Updated all ores, oak door, and diorite block textures
-Updated iron golem texture

Fixes:
-Bells no longer crash the game for Experimental Gameplay players
-Removed redundant bell textures

Pack:
-Made some adjustments to the custom tab allowing the Changelog to be updated easier and more frequently
-Updated the custom tab with the latest Changelog
-Updated the Feature List to be correct with this version
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 3.1.4

============================

Changes in Texture Update #3 (3.1.3)
Released February 22, 2019

Universal:
-Smooth quartz now uses smooth textures

Default:
-The Equipment tab icon now uses new textures
-Added leather horse armor item and model
-Updated cobblestone, mossy cobblestone, stained glass, emerald, grass, and snowy grass block textures
-Updated horse armor, cake, emerald, snowball, and golden armor item textures
-Updated all horse textures

Pack:
-Added and updated a new ravager entry for every previous illager beast entry across all files
-Updated the custom tab with the latest Changelog
-Updated the Feature List to be correct with this version
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 3.1.3

============================

Changes in the Crash Fix Update (3.1.2)
Released February 10, 2019

Universal:
-Added jigsaw textures from Java Edition
-Updated main menu panorama

Fixes:
-Clicking the Items tab no longer crashes the game for beta players
-Lines in the Java Aspects Pack Information settings tab no longer get cut off for players with smaller GUI scales
-There's no longer a duplicate line about Trader Llamas in the Pack Information tab
-Changed a duplicate "spacer_2" in "settings_screen.json" to "spacer_3"

Pack:
-Updated the Java Aspects Pack Information settings tab to add the most recent changelog
-Added the version to the top of "blocks.json"
-Reorganized "blocks.json"
-Changed some spacing in the language files
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 3.1.2

============================

Changes in the Sound Update (3.1.1)
Released January 31, 2019

Universal:
-Added Java Edition's sounds to the Wandering Traders, new Zombie Villagers, and Ravagers
-Added the Wandering Trader spawn egg from Java Edition
-The illager beast has been renamed to Ravager to match Java Edition
-Muted jumping and landing sounds like Java Edition
-The lantern, campfire, and stonecutter animations no longer fade
-Removed the pixelated Minecraft title as it displays incorrectly on smaller screens

Fixes:
-All spawn eggs are now "[Mob] Spawn Egg" instead of "Spawn [Mob]"
-Cave sounds no longer play very frequently
-The grindstone model no longer has black patches for beta players
-Removed bamboo leaf changes as the default now matches Java Edition
-Removed out-of-date loading message changes
-Removed Cut Sandstone and Mossy Cobblestone name changes as default now matches Java Edition
-Removed the Half Slabs to Slabs name change as it was added in the default game
-Default: Carried lily pad now correctly uses its new texture
-@Angel_Wanderley's credit no longer has question marks instead of letters
-Removed an out-of-date zombie villager entry in "sounds.json"

Pack:
-There's now a tab in settings that lets you view the Changelog and Credits from in-game (Thanks, @wildthegamer_!)
-Made some changes to the way the Credits are displayed
-Updated @wildthegamer_'s credit to match his contributions
-Changed how fixes that only apply to one subpack are described in the Changelog to make more sense
-Updated the Feature List to be correct with this version
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 3.1.1

Notes:
-The bug causing glitched Trader Llamas is not the fault of this pack; it happens when any resource pack is applied
-Anyone who would like to help translate the Credits document into other languages can, but you must be completely fluent or a native speaker

============================

Changes in Texture Update #2 (3.1.0)
Released December 14, 2018

Universal:
-Updated bells to match the most recent Java Edition version

Default:
-Updated textures to V3.3 (Thanks in part to Dharen!)
-Carried leaves now use new textures (Thanks, Dharen!)
-Added missing red tabby and siamese cat textures

Fixes:
-Default: Glass pane tops are no longer broken
-Default: Cyan glass pane top is now named correctly
-Default: The allium texture now applies in-game
-Default: Fixed light gray textures not working correctly in-game
-Default: Carried textures should be a little brighter
-Default: Removed the extra blackcat texture as it's no longer used in-game

Pack:
-Updated Dharen's credit to match his contributions
-Simplified the pack icon so it will be nicer-looking
-Changed "Changes in Toggle Update" to "Changes in The Toggle Update" in the Changelog
-Updated the Feature List to be correct with this version
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 3.1.0

============================

Changes in the Seagrass Update (3.0.1)
Released December 5, 2018

Universal:
-Added seagrass textures from Java Edition (Thanks, @Ramonsa60910148!)
-Added smithing table, bamboo leaf, and bell textures from Java Edition (Thanks, Dharen!)
-Lanterns are now animated like on Java Edition (Thanks, @DharenPlayz!)
-Bells now play the anvil sound when placed to match Java Edition (Thanks, Dharen!)
-Moved grindstone textures to the Universal textures section

Default:
-Magma cubes' eyes and lava now glow
-The ender dragon's mouth and eyes now glow

Fixes:
-The grindstone no longer has black parts on its model
-Default: Redstone dust should no longer be disconnected and generally broken
-Default: Launched fireworks now use the new texture instead of the old one
-Default: Redundant dried kelp and blue ice textures have been removed
-Fixed odd spacing around the Pillager Spawn Egg entry in language text documents

Pack:
-Added back @CrisXolt's warning on top of the "mobs.json" file
-Added @Ramonsa60910148 to the Credits for contributing seagrass textures
-Updated Dharen's credit to match his contributions
-Clarified categories in the Feature List
-Changed the pack description to better reflect version 3.0.0 and above
-Updated the Feature List to be correct with this version
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 3.0.1

Notes:
-The bug causing super fast animations has nothing to do with Java Aspects

============================

Changes in the Texture Update (3.0.0)
Released November 30, 2018

Universal:
-Added cat spawn egg texture from Java Edition
-Plains biome grass changes have been removed as Bedrock Edition's default now matches Java Edition
-Updated main menu panorama

Default:
-Added all new textures from Java Edition's 1.14
-Redrew the stonecutter texture for a full sized block (it's even animated!)
-Changed bed modeling to work with Java Edition's textures (Thanks, @CrisXolt!)

Programmer Art:
-Moved doors, grass, tall grass, nether brick, sheep, horse, donkey, mule, rabbit, pufferfish bucket, and command block minecart textures to the Programmer Art subpack

Fixes:
-Spawn Pillager is now correctly named "Pillager Spawn Egg"
-Temporarily removed changes to mipmap levels and padding as they cause lines on block edges

Pack:
-Added a toggle for players who want to use Java Aspects without 1.14's textures
  -The Changelog from this point onward will be sorted by Universal, Default, Programmer Art, Fixes, Pack, and Notes until stated otherwise
  -New textures are enabled by default
-Added some experimental UI files (they are not currently functional, but may be used in the future)
-Added release dates to every update in the Changelog
-Changed the pack icon to have new textures in it
-Updated the Credits document to match contributions
-Updated the Feature List to be correct with this version
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 3.0.0

============================

Changes in the Hotfix Update (2.5.1)
Released October 26, 2018

Fixes:
-Fixed sounds not playing due to two missing brackets around sound "random.click"
-Added missing Panda Spawn Egg to the Feature List
-Fixed a grammar error in the previous changelog

Pack:
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 2.5.1

============================

Changes in the Experience Update (2.5.0)
Released October 25, 2018

Universal:
-Added Java Edition's experience bar texture
-Removed the experience level number's shadow
-Added the experience level number's border from Java Edition
-Shifted the experience level down to match Java Edition
-The loading bar in menus is no longer segmented
-Added grass textures from Java Edition (Thanks, Dharen!)
-Added sheep textures from Java Edition (Thanks, Dharen!)
-Added horse, donkey, and mule textures from Java Edition
-Added panda spawn egg texture from Java Edition
-Added the title texture from Java Edition
-Added the trident riptide wind texture from Java Edition (Thanks, Dharen!)
-Added swimming sounds from Java Edition
  -You can play them with "/playsound entity.player.swim @s"
-Music plays more commonly in Survival Mode to make up for cave sounds
-Survival music can now play in addition to the creative music while the player in in Creative Mode
-You can now play music with commands using the names from Java Edition (for example, "music.dragon" instead of "music.game.endboss")
-Made some very minor random rotation changes (Thanks, Dharen!)
  -The side of dirt doesn't randomly rotate
  -The side of sand doesn't randomly rotate
  -The side of concrete powder doesn't rotate
  -The bottoms of grass blocks don't randomly rotate
-Added a better held End Portal texture
-Removed all Console Edition-specific features such as controller tooltips
-Updated main menu panorama

Fixes:
-Rain sounds have been re-done and adjusted to perfectly match Java Edition's volume
-Fixed the "New" notification still appearing in the beta versions
-Cauldron water now matches normal water
-Spawn Panda/Cat now correctly says Panda/Cat Spawn Egg
-Removed the Fish to Cod name changes as they've been officially added to the game
-Changed "frozen river" biome to "frozen_river" in "biomes_client.json" match an official bug fix
-Redid the "click" sound to be much more pleasant
-Removed a duplicate "ambient.weather.rain" sound in the "sound_definitions.json"
-Fixed a spacing issue in "sound_definitions.json" near sound "random.pop"

Pack:
-Removed the beta toggle as it no longer has a purpose
-Reordered sound paths in "music.game" and changed the name to "music.game.with_cave_sounds"
-Added a separate sound called "music.game" that doesn't have cave sounds
-Simplified some of the "blocks.json"
-Added a note at the top of the Feature List that states which version this pack aims to match
-Updated the Feature List to be correct with this version
-Added "Java Aspects" to the pack icon
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 2.5.0

Notes:
-There will be another pack with the removed features called "Console Aspects" that you can download which matches Console Edition instead of Java Edition

============================

Changes in the Clean-Update (2.4.4)
Released September 1, 2018

Universal:
-Water and lava animations no longer fade to match Java Edition
-Replaced the "flame_atlas" with "fire_1" like Java Edition
-Added more variations of the door open and close sounds
-Added missing "All rumors are true!" and "Truly gone fishing!" splash texts

Release:
-Removed "blocks.json"

Beta:
-Moved "blocks.json" to the universal features section

Fixes:
-Fixed "Thank you for the fish!" splash being incorrectly written as "Thanks for the fish!"

Pack:
-Corrected spacing issues in "splashes.txt"
-Renamed the "door" folder to "wooden_door"
-Updated the Feature List to be correct with this version
-Updated toggle versions to "1.7.0.3" and "1.6.0"
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 2.4.4

Notes:
-Some random rotation changes do not seem to be applying correctly in-game for beta users. This is a game bug, not a pack bug.
-Lava animations are playing too slow for release users. This is, once again, a game bug, not a pack bug.

============================

Changes in The Finishing Touches Update (2.4.3)
Released August 11, 2018

Universal:
-Added tall grass and carried tall grass textures from Java Edition (Thanks, @CrisXolt!)
-Removed mipmap levels and padding (Thanks, @CrisXolt!)
-Tweaked the default water color to perfectly match Java Edition (Thanks, @CrisXolt!)
-Lowered water transparency to 0.75
-Added the new font from Java Edition's 1.13
-Replaced the "update" dirt with the purple-black missing texture from Java Edition
-Added a better End Gateway texture when held in hand
-Glowing Obsidian, Frosted Ice, Bubble Columns, End Portals, and End Gateways are now correctly named when held in hand
-Portal is now Nether Portal when held in hand
-Treasure Maps are now called Buried Treasure Maps
-Double Tallgrass is now just Tall Grass
-Jack o'Lanterns are correctly named in loading messages
-Added old Nether Reactor textures as the "new" ones are from the plastic texture pack
-Added missing cave19 sound from Java Edition's 1.13
-Cave sounds can now be played with "/playsound ambient.cave @s"
-Added water enter and exit sounds for commands only, you can play them with "/playsound ambient.underwater.[enter/exit] @s"
-Added underwater ambience sounds!
  -Currently, only the random sounds play in game, the loop requires commands
  -Play the loop with "/playsound ambient.underwater.loop @s"
  -Play the common random sounds with "/playsound ambient.underwater.loop.additions @s"
  -Play the uncommon random sounds with "/playsound ambient.underwater.loop.additions.rare @s"
  -Play the rare random sounds with "/playsound ambient.underwater.loop.additions.ultra_rare @s"
-Added missing "Testificates!" and "Thanks for the fish!" splash texts
-Removed the yellow "Sale!" ribbon that appeared over the store button
-Updated main menu panorama

Fixes:
-Kelp and seagrass no longer incorrectly play stone sounds
-Items with colored names should no longer color all messages after them
-Fixed splash texts not showing on the main menu for devices not running the beta
-Fixed the Credits document not listing a credit as "@Angel_Wanderly"
-Fixed carried seagrass not being listed in the Feature List
-Fixed improper capitalization in the Feature List

Pack:
-Added @CrisXolt to the Other Contribtors section (in addition to the PC GUI Pack creator section) of the Credits document for contributing lots of features
-Added a new "Notes" section to the Changelog
-Renamed the "splash" sound in the liquid folder to "splash1"
-Renamed the "pop" sound in the random folder to "pop1"
-Merged sound "random.pop2" with "random.pop"
-Created an empty sound to use to mute certain other sounds
-Moved the position of the Dragon Egg definiton in "en_US.lang"
-Removed unneeded notes at the top of "en_US.lang" and "en_GB.lang"
-Did some major cleanup of the "blocks.json" files
-Corrected spacing issues is the manifest
-Adjusted some phrasing in the Feature List
-Added "@s" to the end of sound commands in the Changelog
-Changed the pack description from "and a few other things" to "and a lot of other things"
-Updated the Feature List to be correct with this version
-Updated toggle versions to "1.6.0.30" and "1.5.3"
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 2.4.3

Notes:
-This will likely be the last update for Java Aspects until 1.6 releases
-This is not the end of Java Aspects updates as a whole

============================

Changes in the Emergency Update (2.4.2)
Released July 13, 2018

Fixes:
-Fixed kelp using an "update" texture for players on 1.5

Pack:
-Updated toggle versions to "1.6.0.6" and "1.5.0"
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 2.4.2

============================

Changes in the Behind-the-Scenes Update (2.4.1)
Released July 10, 2018

Universal:
-Added water textures from Java Edition (Thanks, @Angel_Wanderley!)
-Removed the old horse models as Java Edition's were changed to be like Bedrock Edition's
-Tweaked the color of lukewarm and warm ocean water to better match Java Edition
-Reverted fish bucket name change as Java Edition's were changed to match Bedrock Edition's
-Monster Spawners are now just Spawners
-Added coral and wet grass sounds from Java Edition
  -Play them with commands using "/playsound block.[coral_block/wet_grass].[break/fall/hit/place/step] @s"
  -Currently, they don't play in game. They're set up to, but the game is bugged and plays the stone sound instead
  -Vote for the bug to be fixed here: https://bugs.mojang.com/browse/MCPE-35181
-Added an underscore between wither and skeleton in the wither skeleton sound names
  -They are now played with "/playsound entity.wither_skeleton.[ambient/death/hurt/step] @s"
-Updated main menu panorama

Release:
-Moved the previous random rotation changes to the Release subpack
-Removed "flipbook_textures.json"
-Removed kelp textures as they were officially added to the game

Beta:
-Added a new "blocks.json" to stop it from crashing the game
  -Functions the same as before, minus crashing the game
-Removed "flipbook_textures.json" and moved it to the universal pack
-Not switching to Beta mode will crash the game!

Fixes:
-Fixed the crash on world load when in the Beta - remember to use beta mode!
-Fixed kelp animations being too slow and fading by activating a fail-safe that uses an older system
-Deleted unused sounds left over from the PC GUI Pack

Pack:
-Added @Angel_Wanderley to the Credits document for providing water textures from Java Edition
-Correctly sorted conduit changes into the Beta sections of the Changelog
-Updated and cleaned up the "block_sounds" section of "sounds.json"
-Renamed "close" and "open" to "close1" and "open1"
-Changed "Mobs" to "Entities" in the Feature List
-Changed "All" section to "Universal" in the Changelog
-Updated the Feature List to be correct with this version
-Updated toggle versions to "1.6.0.5" and "1.5.0"
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 2.4.1

============================

Changes in the Plentiful Update (2.4.0)
Released June 18, 2018

Universal:
-All biomes now have the same color water and water fog excluding swamplands, rivers, beaches, and oceans like Java Edition
-Oceans, rivers, and beaches are now colored like Java Edition
-Raised piston pitch height limit to match Java Edition
-Added wither skeleton sounds from Java Edition
  -To play them with a command, use "/playsound entity.witherskeleton.[ambient/death/hurt/step] @s"
-Punching air no longer makes a sound
-"Click" sound is much quieter
-Random block rotations changed to be like Java Edition
  -Concrete powder does randomly rotate
  -Magma doesn't randomly rotate
  -Obsidian doesn't randomly rotate
  -Sandstone and red sandstone doesn't randomly rotate
  -Snow and snow blocks don't randomly rotate
  -Grass paths don't randomly rotate
  -Sponges don't randomly rotate
  -Lava doesn't randomly rotate
  -Podzol and mycelium don't randomly rotate
  -Leaves don't randomly rotate
  -Clay and terracotta don't randomly rotate
  -Glowstone doesn't randomly rotate
-More language changes
  -Removed the "Kelp Base" change for English (UK)
  -"[Type] Wood Planks" is now "[Type] Planks"
  -"[Type] Wood Slab" is now "[Type] Slab"
  -"[Type] Wood Stairs" is now "[Type] Stairs"
  -"Brick Block" is now "Bricks"
  -"Nether Brick Block" is now "Nether Bricks"
  -"Red Nether Brick" is now "Red Nether Bricks"
  -"Weighted Pressure Plate ([Type])" is now "[Type] Weighted Pressure Plate"
  -"Daylight Sensor" is now "Daylight Detector"
  -"Redstone" is now "Redstone Dust"
  -"Sugar Canes" is now "Sugar Cane"
  -"Half Slabs" item category is now "Slabs"
  -"Fireworks" item category is now "Firework Rockets"
  -"Glazed Terracottas" item category is now "Glazed Terracotta"
  -"Max Framerate (Experimental)" option is now "Max Framerate"
-Updated main menu panorama

Beta:
-"Spawn Phantom" is now "Phantom Spawn Egg"
-Added conduit particles from Java Edition

Fixes:
-Fixed all issues with particles (alignment, extra pixels, etc.)
-Finally fixed the painfully loud rain!
-Ghast sounds shouldn't be too high pitched
-Tweaked the cold ocean fog to match Java Edition
-Re-added piston sounds from Java Edition
-Corrected the SL and SR switch controller tooltips to match the OS equivalent

Pack:
-Added water back into the pack description
-Changed Henry Markle's credit from "Ocean fog colors" to "Ocean colors"
-Removed unnecessary text in the "biomes_client.json" file
-Separated past changes into correct "Beta" and "All" categories
-Changed "Java's" to "Java Edition's" in the Changelog
-Updated the Feature List to be correct with this version
-Updated toggle versions to "1.6.0.1" and "1.4.4"
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 2.4.0

============================

Changes in the Color Update (2.3.1)
Released June 5, 2018

Universal:
-Added water fog colors for all oceans, rivers, and beaches from Java Edition (Thanks, Henry Markle!)
-Some item names are now colored like Java Edition
-"Records" item category is now "Music Discs"
-"Mob Skulls" item category is now "Heads"
-"[Type] Wood" is now "[Type] Log"
-"Stripped [Type] Wood" is now "Stripped [Type] Log"

Beta:
-"Beta!!!" splash text is just "Beta!"

Fixes:
-Renamed "fire_layer_0" and "fire_layer_1" to "fire_0" and "fire_1" to solve conflicts with other packs

Pack:
-Changed the way the Credits document lists contributors to be more easily readable
-Added Henry Markle to the Credits document for pointing out different water fog colors
-Removed warnings about water textures and horse models in other packs (they are no longer issues)
-Removed unnecessary lines in the lang documents
-Default water is now the same as ocean water
-Corrected a capitalization error in MediaFire in the Future Features document
-Updated the Feature List to be correct with this version
-Updated toggle versions to "1.5.0.7" and "1.4.3"
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 2.3.1

============================

Changes in the Language Update (2.3.0)
Released May 24, 2018

Universal:
-Animations should no longer fade for kelp, seagrass, lava, and fire like Java Edition
-Added the white rabbit texture from Java Edition (Thanks, @wildthegamer_!)
-Lots and lots of name changes:
  -Milk is now called Milk Bucket
  -Seeds are now Wheat Seeds
  -Chain armor is now chainmail armor
  -Spawn [Mob] is now "[Mob] Spawn Egg"
  -Smooth Sandstone is now Cut Sandstone
  -Moss Stone is now Mossy Cobblestone
  -Mushrooms now include their color in their name
  -Mushroom blocks now include Block in their name
  -Monster Egg blocks are now "Infested [Block name]"
  -Slightly and Very Damaged anvils are now Chipped and Damaged anvils, respectively
  -Kelp is now Kelp Base for English (UK) only
  -Enchanted Apples are now Enchanted Golden Apples
  -Melon items are now called Melon Slices
  -End Portals are now End Portal Frames
  -Heads are now Player Heads
  -Top Snow is now Snow and Snow is now Snow Block
  -The How to Play menu now refers to Mesas as Badlands, Savannas as Shattered Savannas (when applicable), and Mega Taigas as Giant Spruce Taigas

Release:
-Removed all water shaders and textures
-Added kelp top textures
-Updated "flipbook_textures.json"

Beta:
-Removed all files except the "debug_screen.json" and "flipbook_textures.json" (they no longer require you to enable Beta mode)
-Sea Turtles are now just called Turtles

Fixes:
-Fixed the still water animation being frozen
-Fixed some particle oddities
-Added missing particles
-Removed kelp plant as it has been officially added to the game
-Removed the conduit center as Java Edition's changed to be like Bedrock Edition's
-Erased some accidental pixels in the plain dpad and touchpad textures
-Significantly compressed the language files

Pack:
-Added a missing change from the last update to the Changelog
-Added @wildthegamer_ to the Credits document for pointing out that white rabbits are different on Bedrock Edition
-Language is now a separate section on the Feature List
-Changed "Animation Speeds" to "Animations" in the Feature List
-Removed colons that came after update versions in the Changlog
-Updated the Feature List to be correct with this version
-Updated toggle versions to "1.5.0.7" and "1.4.2"
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 2.3.0

============================

Changes in the Door Update (2.2.1)
Released May 13, 2018

Universal:
-Added jungle, birch, dark oak, and acacia doors from Java Edition (Thanks, @netongas_ng!)
-Added missing cave17 and cave18 sounds from Java Edition (Thanks, LugiaGamerYT!)
-Updated main menu panorama

Fixes:
-Reverted change to the Tropical Fish item's name
-Compressed panorama_4 to take up less space with no quality loss

Pack:
-Added @netongas_ng to the Credits document for contributing door textures
-Added LugiaGamerYT to the Credits document for pointing out missing sounds
-Rewrote the credit to Dharen to be simpler
-The Changelog is now organized by Universal, Release, Beta, Fixes, and Pack
  -Universal is features that apply regardless of the selected subpack
  -Release is features that only apply to the Release subpack
  -Beta is features that only apply to the Beta subpack
  -Fixes are all the bug fixes in the update
  -Pack is changes to things like the name, text documents, or other technical stuff that you probably won't notice
  -Notes is anything I would like to say about the update
-Updated the Feature List to be correct with this version
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 2.2.1

============================

Changes in the Water Update (2.2.0)
Released May 7, 2018

Universal:
-Added the easter egg from Console Edition in which the song Dog plays after the Cat music disc
-Changed "Raw Fish" to "Raw Cod"
-Changed "Cooked Fish" to "Cooked Cod"
-Changed How to Play menu about taming ocelots from "give them Raw Fish or Salmon" to "give them Raw Cod or Salmon"

Beta:
-Swamp water color and underwater fog is now like Java Edition
-Water view distance changed to 100 blocks for all biomes like Java Edition
-All biomes now use 0.65 water surface transparency
-Changed the heart that appears in the center of the conduit to match Java Edition
-Stopped beta text from appearing on top of the screen
-Added brain coral and dead brain coral textures from Java Edition
-Added carried seagrass texture from Java Edition
-Changed the item "Tropical Fish" to "Clownfish"
-Changed "Bucket of [fish name]" to "[fish name] Bucket"

Fixes:
-The command block minecart item will now appear while using the Release subpack
-Removed a duplicate command block minecart texture in the Beta subpack
-Removed currently broken seagrass textures
-Fixed unnecessary capitalization in the Feature List

Pack:
-Added "============================" to the top and bottom of the Feature List
-Fixed the Changelog not listing a change in The Item Update
-Changed every "Java" to "Java Edition" in the Changlog
-Changed every "Console" to "Console Edition" in the Changelog
-Updated toggle versions to "1.5.0.1" and "1.2.13/1.2.16"
-Updated the Feature List to be correct with this version
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 2.2.0

============================

Changes in the Item Update (2.1.3)
Released April 27, 2018

Universal:
-Added the command block minecart and dried kelp items from Java Edition

Beta:
-Re-added the horn coral texture from Java Edition
-Added the dead horn coral texture from Java Edition
-Fixed the pufferfish bucket being incorrectly named
-Recreated the kelp plant textures to be in line with Java Edition

Fixes:
-Fixed a change being listed twice in the changelog

Pack:
-Changed "Java Sounds, Liquids, and More" to "Java Aspects" in the Future Features text document
-Updated toggle versions to "1.5.0.0" and "1.2.13/1.2.16"
-Updated the Feature List to be correct with this version
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 2.1.3

============================

Changes in the Kelp Update (2.1.2)
Released April 22, 2018

Universal:
-Changed splash text "Now Java 6!" to be "Now Java 8!"

Beta:
-Flipped around the kelp top texture to match the kelp plant texture better

Fixes:
-Fixed a bug causing the kelp top bulb to freeze its animation
-Fixed a bug causing one frame of the kelp top texture to be corrupted

Pack:
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 2.1.2

============================

Changes in the Gary Banner Update (2.1.1)
Released April 21, 2018

Universal:
-Added "Gary Banner!" splash text from Console Edition
-Swapped the position of horn coral and the note block in the pack icon

Beta:
-Removed Heart of the Sea and Nautilus Shell textures as they were officially added to the game

Fixes:
-Changed the way subpacks are structured to seriously compress the pack

Pack:
-Added "-Updated Feature List to be correct with this version" to the 2.1.0 changelog section
-Updated Feature List to be correct with this version
-Updated toggle versions to "1.2.20.2" and "1.2.13.60/1.2.16"
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 2.1.1

============================

Changes in the Toggle Update (2.1.0)
Released April 15, 2018

Universal:
-Added plain dpad tooltip textures

Beta:
-Added the Heart of the Sea and Nautilus Shell from Java Edition
-Made the Kelp Bulb texture equal to the Kelp Top texture like on Java Edition
-Removed Java Edition's water shaders and textures as the default water is equal to Java Edition now
-Removed coral fans, fish spawn eggs, and dried kelp blocks as they were officially added to the game

Fixes:
-Updated "flipbook_textures.json" to make new water work

Pack:
-Added a way to toggle the pack depending whether or not you're using the beta
  -The beta features are disabled by default
  -You can enable them by selecting the pack, selecting the wrenches, and dragging the slider
  -The "Default" mode is version 1.3.1 of Java Aspects and works with version 1.2.13
  -The "Beta" mode is version 2.1.0 of Java Aspects and works with version 1.2.20.1
-Changed the pack icon, removing the water texture and replacing it with horn coral
-Added a Feature List text document that lists every single feature in the pack
-Removed "water shaders and" from the Credits document
-Removed "water," from the pack description
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 2.1.0

============================

Changes in the Aspects Update (2.0.0)
Released April 6, 2018

Universal:
-Made the final name change to the name "Java Aspects" (Thanks, AlexCreeper25!)
-Overhauled the Credits document to more correctly describe the relationship between this pack and the PC GUI Pack
-Added a hyphen between "No" and "one" in the "No one can remember where Minecon 2014 was held." loading message to match Console Edition
-Added missing SL and SR tooltips for Switch
-Added missing touchpad tooltips for Xbox, Switch, and Generic

Beta:
-Added Java Edition's seagrass and kelp animation speeds
-Added Java Edition's seagrass, kelp, fish spawn eggs, pufferfish bucket, dried kelp block, horn coral block, and coral fans
-Added Java Edition's treasure map "X" icon

Fixes:
-Simplified the "newOffersIcon.png" so it will take up less space with no quality loss
-Changed the Switch circle button tooltip to be closer to the actual controller button

Pack:
-Added "============================" to the end of the Changelog
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 2.0.0

============================

Changes in the Compression Update (1.3.1)
Released March 15, 2018

Fixes:
-Removed lots of useless language files, making the pack over 50% smaller

Pack:
-Removed Future Features from the Changelog and instead made a new text document called Future Features
-Added a request to the Future Features; if you want to contribute to this pack, read the Future Features document
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 1.3.1

============================

Changes in the UI Update (1.3.0)
Released March 11, 2018

Universal:
-Added controller button tooltips from Console Edition for Switch, Xbox, and Generic
-Added the offhand shield slot icon from Java Edition
-Changed highlighted slot color from green to Java Edition's light gray
-"Cooked Beef" is now called "Steak" for English languages only
-Changed all "MINECON"s in loading messages to "Minecon", like on Console Editons
-Updated "splashes.txt" to be up to date with 1.12

Pack:
-Added SirZeus's Twitter to the Credits
-Added "(may not be possible)" and "(currently impossible)" to the Future Features
-Changed "*Possible* Future Additions" to "Future Features" in the Changelog and added a note below it
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 1.3.0

============================

Changes in the Click Update (1.2.2)
Released March 5, 2018

Fixes:
-Fixed ender chests playing a click sound instead of the correct open sound

Pack:
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 1.2.2

============================

Changes in the Fixes Update (1.2.1)
Released March 1, 2018

Fixes:
-Fixed a bug causing horses to be visually broken when using a different pack with horse textures
-Removed redundant horse textures
-Removed the unnecessary "foliage" texture

Pack:
-Named all the updates up to this point in the Changelog
-Removed "nether brick," from the pack description
-Changed the Credits from saying "The features in Update 1.2.0..." to "Some features in Update 1.2.0..."
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 1.2.1

============================

Changes in the Detailed Update (1.2.0)
Released February 5, 2018

Universal:
-Added a custom menu panorama that has this pack applied
-Added Java Edition's more detailed explosion particles (Thanks, Dharen!)
-Changed the speed animations play for magma and lava (Thanks, Dharen!)
-Removed the green "New" text box that appeared over the store button

Fixes:
-Removed the unnecessary "items_client.json" file

Pack:
-Added Dharen to the Credits document for contributing explosion particles and animation speeds
-Split the changelog change list into two categories: Normal and Technical
-Removed "(Whoa, it's becoming self aware!)" from the changelog
-Restructured the manifest to be in line with the rest of the pack's json files
-Changed pack UUID to be compatible with earlier versions of this pack
-Updated pack version to 1.2.0

============================

Changes in the Plains Update (1.1.0)
Released Janurary 27, 2018

Universal:
-Added old horse, donkey, mule, skeleton horse, and zombie horse textures and models
-Added Java Edition's darker nether brick texture
-Tweaked the color of plains biome grass to match Java Edition and Console Editions

Pack:
-Added a Changelog in the resource pack folder
-Replaced the End Zealot skin's face in the pack icon with nether brick
-Changed pack UUID to be compatible with earlier versions of this pack
-Changed pack name from "Java Sounds, Liquids, and Fire" to "Java Sounds, Liquids, and More"
-Changed pack description to reflect the title change
-Updated pack to version 1.1.0

============================

Changes in the Full Release (1.0.0)
Released January 14, 2018

Universal:
-Added water shaders and textures to make the water look like Java and Console Editions
-Added Java Edition's lava texture
-Added Java Edition's purple border around item names when highlighted in inventory
-Added Java Edition's fire textures
-Added all sounds from Java Edition, excluding currently impossible ones, such as brewing and lily pad placing
-Added Java Edition's splash texts

Pack:
-Added a unique pack UUID
-Added a pack icon, title, and description
-Added a Credits document in the resource pack folder

============================